GNU bug report logs - #41659
28.0.50; smime: encryption uses now base64, message not readable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Uwe Brauer <oub@HIDDEN>; dated Tue, 2 Jun 2020 07:19:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jun 2020 15:49:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 11:49:27 2020
Received: from localhost ([127.0.0.1]:35150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj2yl-0001tV-40
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:49:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:54848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jj2yi-0001tM-Vj
 for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:49:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53202)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jj2yi-0006oi-Ay
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jun 2020 11:49:24 -0400
Received: from ciao.gmane.io ([159.69.161.202]:58462)
 by eggs.gnu.org with esmtps (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jj2yg-0002vK-LZ
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jun 2020 11:49:23 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jj2yc-000KBL-OM
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jun 2020 17:49:18 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Uwe Brauer <oub@HIDDEN>
Subject: Re: bug#41659: [ASCII is ok]
Date: Wed, 10 Jun 2020 17:49:15 +0200
Message-ID: <878sguapl0.fsf@HIDDEN>
References: <87zh9mj5r1.fsf@HIDDEN> <874krs5pkg.fsf@HIDDEN>
 <875zc5tsc7.fsf_-_@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:GKJCjpOF16mlt1oLvnnioSccals=
Mail-Copies-To: never
Received-SPF: pass client-ip=159.69.161.202;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/10 11:27:11
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, HEADER_FROM_DIFFERENT_DOMAINS=1,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain


>>> "UB" == Uwe Brauer <oub@HIDDEN> writes:

>>> "UB" == Uwe Brauer <oub@HIDDEN> writes:
>>> "UB" == Uwe Brauer <oub@HIDDEN> writes:
Hi Lars,

I just had an interchange of smime encrypted and signed messages with
Jens Lechtenboerger.

He confirms that a message with latin-1 chars, which is encrypted and
signed, is not correctly decrypted in the sense that the latin-1 chars
are not correctly displayed and superflusios text is added.

The culprits are 
(defun mm-possibly-verify-or-decrypt (parts ctl &optional from)

And the following commits

 commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0
 Author: Lars Ingebrigtsen <larsi@HIDDEN>
 Date:   Mon Sep 23 18:23:22 2019 +0200

     Make mm-possibly-verify-or-decrypt pass decryption error

     * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): If
     there's an error, report the error back in a new part (bug#25649).

Now message cannot be decrypted anymore

** Git repaired
 commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f (HEAD)
 Author: Lars Ingebrigtsen <larsi@HIDDEN>
 Date:   Thu Sep 26 16:24:29 2019 +0200

      Make it possible to view S/MIME verified emails

      * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): When
      dissecting the result, we need a header (bug#18393).

      * lisp/gnus/mm-view.el (mm-view-pkcs7-verify): Insert the verified
      string.

      * lisp/gnus/smime.el (smime-verify-region): Return the verified
      string.

Message can be decrypted, but latin-1 chars are not decoded.

If you want we can run some experiements, but you need to have a smime
certificate installed.


For me it is so annoying that I partially reverted these commits in the
latest emacs master. Here is the diff (I would not call it a patch).

Regards

Uwe Brauer 


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment; filename=mm-decode-works-master.diff

--- mm-decode.el	2020-06-07 13:16:45.973266246 +0200
+++ mm-decode-patched.el	2020-06-07 13:15:56.861220757 +0200
@@ -1680,8 +1680,8 @@
 		    (t (y-or-n-p
 			(format "Decrypt (S/MIME) part? "))))
 		   (mm-view-pkcs7 parts from))
-	  (goto-char (point-min))
-	  (insert "Content-type: text/plain\n\n")
+;; 	  (goto-char (point-min))
+;; 	  (insert "Content-type: text/plain\n\n")
 	  (setq parts (mm-dissect-buffer t)))))
      ((equal subtype "signed")
       (unless (and (setq protocol
@@ -1745,28 +1745,11 @@
 	(save-excursion
 	  (if func
 	      (setq parts (funcall func parts ctl))
-	    (mm-sec-error
-	     'gnus-details
-	     (format "Unknown encrypt protocol (%s)" protocol)))))))
-    ;; Check the results (which are now in `parts').
-    (let ((err (get-text-property 0 'sec-error (car mm-security-handle))))
-      (if (or (not err)
-	      (not (equal subtype "encrypted")))
-	  parts
-	;; We had an error during decryption.  Report what it is.
-	(list
-	 (mm-make-handle
-	  (with-current-buffer (generate-new-buffer " *mm*")
-	    (insert "Error!  Result from decryption:\n\n"
-		    (or (get-text-property 0 'gnus-details
-					   (car mm-security-handle))
-			"")
-		    "\n\n"
-		    (or (get-text-property 0 'gnus-details
-					   (car mm-security-handle))
-			""))
-	    (current-buffer))
-	  '("text/plain")))))))
+	    (mm-set-handle-multipart-parameter
+	     mm-security-handle 'gnus-details
+	     (format "Unknown encrypt protocol (%s)" protocol))))))
+     (t nil))
+    parts))
 
 (defun mm-multiple-handles (handles)
   (and (listp handles)

--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41659; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2020 16:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 12:01:22 2020
Received: from localhost ([127.0.0.1]:49648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jhEmX-0001BT-Pc
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2020 12:01:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:34592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jhEmW-0001BM-9m
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2020 12:01:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jhEmV-0006Ou-QS
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2020 12:01:19 -0400
Received: from ciao.gmane.io ([159.69.161.202]:56382)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jhEmU-0006LY-CJ
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2020 12:01:19 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jhEmR-000KjC-GW
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2020 18:01:15 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Uwe Brauer <oub@HIDDEN>
Subject: [ASCII is ok] (was: bug#41659: [bisect: found the culprits])
Date: Fri, 05 Jun 2020 18:01:12 +0200
Message-ID: <875zc5tsc7.fsf_-_@HIDDEN>
References: <87zh9mj5r1.fsf@HIDDEN> <874krs5pkg.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256; protocol="application/pkcs7-signature"
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:lzR+3aEh2+7pnAYiMQqSPq8TwGc=
Mail-Copies-To: never
Received-SPF: pass client-ip=159.69.161.202;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/05 11:22:49
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>> "UB" =3D=3D Uwe Brauer <oub@HIDDEN> writes:

>>> "UB" =3D=3D Uwe Brauer <oub@HIDDEN> writes:
   > I bisected the whole afternoon and found the culprits.

   > * The BUG
   > First the following commit:

   > commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0
   > Author: Lars Ingebrigtsen <larsi@HIDDEN>
   > Date:   Mon Sep 23 18:23:22 2019 +0200

   >     Make mm-possibly-verify-or-decrypt pass decryption error

   >     * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): If
   >     there's an error, report the error back in a new part (bug#25649).

   > Introduced a bug, using any compiled emacs between this commit and
   > commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f=20

   > results in an emacs, which cannot decrypt smime messages!


   > * The repair
   > commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f (HEAD)
   > Author: Lars Ingebrigtsen <larsi@HIDDEN>
   > Date:   Thu Sep 26 16:24:29 2019 +0200

   >      Make it possible to view S/MIME verified emails

   >      * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): When
   >      dissecting the result, we need a header (bug#18393).

   >      * lisp/gnus/mm-view.el (mm-view-pkcs7-verify): Insert the verified
   >      string.

   >      * lisp/gnus/smime.el (smime-verify-region): Return the verified
   >      string.

   > With this commit, smime message can be decrypted, but they are not
   > decoded well, at least not for my setting, and my setting worked well
   > before commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0

   > So Lars, could you please try to repair this?

I checked, the error does not occur for ASCII text, so may be that is
why it has been not been noted so far.

I insert some on purpose to see how that is display da=C3=9F naci=C3=B3n

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s

MIAGCSqGSIb3DQEHAqCAMIACAQExDzANBglghkgBZQMEAgEFADCABgkqhkiG9w0BBwEAAKCCE8cw
ggWDMIIDa6ADAgECAg9dk40wZzbIBh0ax1SEaQcwDQYJKoZIhvcNAQELBQAwOzELMAkGA1UEBhMC
RVMxETAPBgNVBAoMCEZOTVQtUkNNMRkwFwYDVQQLDBBBQyBSQUlaIEZOTVQtUkNNMB4XDTA4MTAy
OTE1NTk1NloXDTMwMDEwMTAwMDAwMFowOzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQtUkNN
MRkwFwYDVQQLDBBBQyBSQUlaIEZOTVQtUkNNMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKC
AgEAunGAekyGbn/IE23Axn0cAJePLAwjuxCaQKkat4eI+JtWavvme46Lko6nJV1ZEds2LrdRFx+p
CB8EFyRYqjdKGN/lOdRX/dfBLJEBkeIi1APAWPx3R+yPPnRDuqw0jU04dmeOsMhvMDNYcVy09Wtu
1AFQuBN+bEqjSdEgGe68wCkYZafe/u/dCpAh5xpnkkIQmF9PMLw+HEW0ENdoQBTAQPrndxd65guP
ZVs82ZpS27W9nkbPPeuRBQLAlrJ2TE0QljuS+px/D5nfviM1RR4CXP61qJuZJdpe8yLDOfXkKi7T
xh/EbKrFHGoBBUov0sXBqDQmXWal0gIh+Ri3BvVOmW+oq0xR6M9QGMV3yDkJLEmSMpmouxcXebBa
xeajxFllRzWDXqnoNQuZu+TNIMabSgY5tWj8IrruVYwrTurzseP8tpma1UL6cU0Iz4ceanF9+dO0
6aVxgXvCTkeWpfZ2haMoj+mAboFTpW1fuEj5wvk2pi5J/7iWwowHs5uIWPzrGxzeLXDil5IwoYnj
vFWoJ9ZL7ZCti/pjJVktqDXdypczvOXNx53R7O9eDkqQBiZjrbnZNS0HunZlLKxXj330B5TXgQKW
XaMHSdV60Ff5G+dTRnWqsHlCy2hxCOlgvTlpzvSvw1ZAx61Sognkb4ZHih/rKCddgyCvBMlsVpqL
RvUCAwEAAaOBgzCBgDAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQU
933F/cTomht3ZKf1HaDMv4dgmm0wPgYDVR0gBDcwNTAzBgRVHSAAMCswKQYIKwYBBQUHAgEWHWh0
dHA6Ly93d3cuY2VydC5mbm10LmVzL2RwY3MvMA0GCSqGSIb3DQEBCwUAA4ICAQAHkErf8yNO8MOc
UWWbnCKiigyF83Mpa03+AeKpDGMBvwRnpZ2YX/0BE/rsmmLphv62YtJuTJT7wHVFfGUM+LI3z6wP
z41v+Rn3j+we8nCe8Mq477f/djd2W/ZuiPOvYjIikw06ao4UZgwtU3RXZR7Vst0jgTulZiMnZwmP
4XeqQ81lUQjtUVj+5jn5y0eEpBXxdruk7qQ7xF/vsjOWERi3yWW+GOGjpNz6GPnTvBObOXo0utNB
+/oyiiq3K4YLaYM4vs2KLgtwrY0mku4e9QErCtnWl5tu4KgZHDohiwweQK0D591mfvW5IA0D6Jb5
gkXUOeCgAF3XmOZ9nmdzw5oq96uLoToU7zS8Ug6JmJoEQIQdfkVpk1fO6874UHxPHG4EQ5v51jsj
GOnqjtFNRo3xO+Rqyrr7I7eb+pkBKVpYWi3j+dRtDiatwW40vDL4DAX6ZaPbOzeDIunW3HIz/V3y
IL12PCPaKPf5G+tZZNXcX3J+IPzNibWQZ01iej9OrR3DOf569CgW30H2SIAF1w9ReawQq9TsA2bm
arC6MZJCQGq+OtNy4Wo3VbysHZW3aWHyQ5F05qDTCiRGoQiv1tpFGZbUUx1bhHnwwPdH74uPxQau
nUxinf9GBPjTybYQJUB1/haqyUpghi+67zB35FTiuISZWICqE4tROk9I9ou2szCCBtowggTCoAMC
AQICEEVfOuFcIc26VE+CqkdR69swDQYJKoZIhvcNAQELBQAwOzELMAkGA1UEBhMCRVMxETAPBgNV
BAoMCEZOTVQtUkNNMRkwFwYDVQQLDBBBQyBSQUlaIEZOTVQtUkNNMB4XDTE0MTAyODExNDg1OFoX
DTI5MTAyODExNDg1OFowSzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQtUkNNMQ4wDAYDVQQL
DAVDZXJlczEZMBcGA1UEAwwQQUMgRk5NVCBVc3VhcmlvczCCASIwDQYJKoZIhvcNAQEBBQADggEP
ADCCAQoCggEBAJ0gBCYt+y1pMMvZk3+l5a7UcHLvlL5Fa+WPsgv5ujOGJa+G8cDY27Y/vvG+iQWm
/cMh4ZLVUiAWvnYmIX7B7FlVoJDpUszSD6kzyjpo2LS91CbqFtwG6QzWSRFRYBKJZAoOdcFyjIzu
zuQnycCAN4ldn23nkeGADprP9ZqptC0pK1osMJWBfVZ/Gqq/3gJ0/3fCnWAuWf/THNWs1h1je8ye
jE3bmfT3FYzJu9Ir4h2qIYBFLve/W8tt2nMevau6iz4x5GKBoX9n7dbUKmJo7PYnIMD4a8y8stc8
12MtB6HhZ7OG4tjfjAU5qX/4vB2TiugctzEtlJQrI14R4c2psEcCAwEAAaOCAsgwggLEMBIGA1Ud
EwEB/wQIMAYBAf8CAQAwDgYDVR0PAQH/BAQDAgEGMB0GA1UdDgQWBBSx1E/EI3n6RAUJxus5z+g1
sLggZDCBmAYIKwYBBQUHAQEEgYswgYgwSQYIKwYBBQUHMAGGPWh0dHA6Ly9vY3NwZm5tdHJjbWNh
LmNlcnQuZm5tdC5lcy9vY3NwZm5tdHJjbWNhL09jc3BSZXNwb25kZXIwOwYIKwYBBQUHMAKGL2h0
dHA6Ly93d3cuY2VydC5mbm10LmVzL2NlcnRzL0FDUkFJWkZOTVRSQ00uY3J0MB8GA1UdIwQYMBaA
FPd9xf3E6Jobd2Sn9R2gzL+HYJptMIHrBgNVHSAEgeMwgeAwgd0GBFUdIAAwgdQwKQYIKwYBBQUH
AgEWHWh0dHA6Ly93d3cuY2VydC5mbm10LmVzL2RwY3MvMIGmBggrBgEFBQcCAjCBmQyBllN1amV0
byBhIGxhcyBjb25kaWNpb25lcyBkZSB1c28gZXhwdWVzdGFzIGVuIGxhIERlY2xhcmFjacOzbiBk
ZSBQcsOhY3RpY2FzIGRlIENlcnRpZmljYWNpw7NuIGRlIGxhIEZOTVQtUkNNICggQy8gSm9yZ2Ug
SnVhbiwgMTA2LTI4MDA5LU1hZHJpZC1Fc3Bhw7FhKTCB1AYDVR0fBIHMMIHJMIHGoIHDoIHAhoGQ
bGRhcDovL2xkYXBmbm10LmNlcnQuZm5tdC5lcy9DTj1DUkwsT1U9QUMlMjBSQUlaJTIwRk5NVC1S
Q00sTz1GTk1ULVJDTSxDPUVTP2F1dGhvcml0eVJldm9jYXRpb25MaXN0O2JpbmFyeT9iYXNlP29i
amVjdGNsYXNzPWNSTERpc3RyaWJ1dGlvblBvaW50hitodHRwOi8vd3d3LmNlcnQuZm5tdC5lcy9j
cmxzL0FSTEZOTVRSQ00uY3JsMA0GCSqGSIb3DQEBCwUAA4ICAQCMPSi04H4N825c2lx3PYBkHk7p
ErjJ5rL/K4CgeD2ETCxliy/c8WMr591SQduv/BcLjJqE8gnUXVainvmCZsCFXpxe6oPnfEaOfl/m
Y+2rYu9GTidhlYG9TQI9qTQPmfnma1aVA599S/t84k4S76QLRLU8egExWyZhIJKUdQJ21s77rMMF
CDFAbKUdNp4giM6giVZtrtlMvZB8PnYgSUbsFWKaQWWr4J+xAjTvryniACmZnvljHdGUE4ZA0WCM
RRcGIVhaHNUxPi39J1WxGuY/7+qFXGrj/tnci4x/603VYYeC5yPwyjxih3bkPKl7oW8YGyIrvIwU
/9J93VkDxQd6LvfrB5ZU/bklFRq7Sviso4Bix+aHvIuBjmx+xiVLYZFMBGMxoo4P1pir5vo4NIJ5
Vk+x4lNCuHxFpXSAZfZzWoddskj1Tet6v/JAl0tyUfHDPNmXrMy1Z7T7OuIrVdliq5KzQPi7buGf
1E2OJbh/iEXr6Pa3k+u/dDEL2KwsI0rLjQ+H1yPOv5hhEhr4W8BApqYXvC/41dLmdNciOZpoIXnQ
a+Vqir+uBJiFzRVWdt/pofERQoKj2bGrVWlaAUKtRXrzoTzIxL8YjIMz173tgN4Epp4P1Cg3Chsx
W8i/r3kmYXT/OeJj5NyDxAmGRDagGFl4wZbZvFA0ZlAbdcKYETCCB14wggZGoAMCAQICEHyPZdFE
3gS5WtRZrC7IKYIwDQYJKoZIhvcNAQELBQAwSzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQt
UkNNMQ4wDAYDVQQLDAVDZXJlczEZMBcGA1UEAwwQQUMgRk5NVCBVc3VhcmlvczAeFw0xODA0MTYw
ODA3MDhaFw0yMjA0MTYwODA3MDhaMIGBMQswCQYDVQQGEwJFUzEYMBYGA1UEBRMPSURDRVMtWDIw
NjQxMjNCMRkwFwYDVQQqDBBVV0UgUklDSEFSRCBPVFRPMQ8wDQYDVQQEDAZCUkFVRVIxLDAqBgNV
BAMMI0JSQVVFUiBVV0UgUklDSEFSRCBPVFRPIC0gWDIwNjQxMjNCMIIBIjANBgkqhkiG9w0BAQEF
AAOCAQ8AMIIBCgKCAQEAzS7yAm9gXjzxCrn15XBUuZz/gDM/KQi589qGkENYw7LiHtxKBOncld1o
FohvckNdY7A8AJiHVVVoA6BXF7DI0BGFwaQ5qUDlzq7mW9+zL+OLXNSp52lfuERPd2y18LaHLp34
czgsvaCTzPl//lrDz6sa5Q//1DlNuzbjY/Afgd+jPPCI4wjOPcW3k1pvEf9Ed1nmAEiqAfyeHN/n
RSfL83jACwvvkrJFg3gxTKrp7QJUdbTAomwPhQcsTWFxdA4FXPAZlYrhiM/qGRp/IKzRUCwIIebD
qmkfLZIRl1gm9RFzzpps+dcw4qV7nRcA2KWQwjd36pVQxVF1e1BXq+BZjwIDAQABo4IEBTCCBAEw
bwYDVR0RBGgwZoEOb3ViQG1hdC51Y20uZXOkVDBSMRgwFgYJKwYBBAGsZgEEDAlYMjA2NDEyM0Ix
FTATBgkrBgEEAaxmAQIMBkJSQVVFUjEfMB0GCSsGAQQBrGYBAQwQVVdFIFJJQ0hBUkQgT1RUTzAM
BgNVHRMBAf8EAjAAMA4GA1UdDwEB/wQEAwIF4DAdBgNVHSUEFjAUBggrBgEFBQcDBAYIKwYBBQUH
AwIwHQYDVR0OBBYEFORUbZuzfTkfXyYfMh59Q0C0evYpMB8GA1UdIwQYMBaAFLHUT8QjefpEBQnG
6znP6DWwuCBkMIGCBggrBgEFBQcBAQR2MHQwPQYIKwYBBQUHMAGGMWh0dHA6Ly9vY3NwdXN1LmNl
cnQuZm5tdC5lcy9vY3NwdXN1L09jc3BSZXNwb25kZXIwMwYIKwYBBQUHMAKGJ2h0dHA6Ly93d3cu
Y2VydC5mbm10LmVzL2NlcnRzL0FDVVNVLmNydDCCARUGA1UdIASCAQwwggEIMIH6BgorBgEEAaxm
AwoBMIHrMCkGCCsGAQUFBwIBFh1odHRwOi8vd3d3LmNlcnQuZm5tdC5lcy9kcGNzLzCBvQYIKwYB
BQUHAgIwgbAMga1DZXJ0aWZpY2FkbyBjdWFsaWZpY2FkbyBkZSBmaXJtYSBlbGVjdHLDs25pY2Eu
IFN1amV0byBhIGxhcyBjb25kaWNpb25lcyBkZSB1c28gZXhwdWVzdGFzIGVuIGxhIERQQyBkZSBs
YSBGTk1ULVJDTSBjb24gTklGOiBRMjgyNjAwNC1KIChDL0pvcmdlIEp1YW4gMTA2LTI4MDA5LU1h
ZHJpZC1Fc3Bhw7FhKTAJBgcEAIvsQAEAMIG6BggrBgEFBQcBAwSBrTCBqjAIBgYEAI5GAQEwCwYG
BACORgEDAgEPMBMGBgQAjkYBBjAJBgcEAI5GAQYBMHwGBgQAjkYBBTByMDcWMWh0dHBzOi8vd3d3
LmNlcnQuZm5tdC5lcy9wZHMvUERTQUNVc3Vhcmlvc19lcy5wZGYTAmVzMDcWMWh0dHBzOi8vd3d3
LmNlcnQuZm5tdC5lcy9wZHMvUERTQUNVc3Vhcmlvc19lbi5wZGYTAmVuMIG1BgNVHR8Ega0wgaow
gaeggaSggaGGgZ5sZGFwOi8vbGRhcHVzdS5jZXJ0LmZubXQuZXMvY249Q1JMMTgwNixjbj1BQyUy
MEZOTVQlMjBVc3VhcmlvcyxvdT1DRVJFUyxvPUZOTVQtUkNNLGM9RVM/Y2VydGlmaWNhdGVSZXZv
Y2F0aW9uTGlzdDtiaW5hcnk/YmFzZT9vYmplY3RjbGFzcz1jUkxEaXN0cmlidXRpb25Qb2ludDAN
BgkqhkiG9w0BAQsFAAOCAQEAZvJUHMPzj+us0nNHF9NuVpoY1yQL9NzCMCBHYdHQPmc4ITA8zYwa
jTXv9lj6P+JDAoa/kqFImCOLcy0ZL4VucSZgtTA8HDuU6mzM11Gf4VKeLnJk9T8EJr5/HQDw+okC
r5YlPfyX3y14qdscFa1UJCASfH9PMk8NDF9sr7qHhz/SmapSF87Co8V8uCrCSODmdBHZCAfAIb35
ujfEUuXi0cVkW9PwHltpA1ahA8TXuIXWkk+Ot2NIy5M2SlLVnSUInArMkbc9meIQKpKHTl2oSFm6
PA272V54F5VoKfYLRk38PAZosWyAHiXDLMl3ZgN7ZZZsc17WPeu3kCICEkW1IzGCAiAwggIcAgEB
MF8wSzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQtUkNNMQ4wDAYDVQQLDAVDZXJlczEZMBcG
A1UEAwwQQUMgRk5NVCBVc3VhcmlvcwIQfI9l0UTeBLla1FmsLsgpgjANBglghkgBZQMEAgEFAKCB
kzAYBgkqhkiG9w0BCQMxCwYJKoZIhvcNAQcBMBwGCSqGSIb3DQEJBTEPFw0yMDA2MDUxNjAxMTJa
MCgGCSqGSIb3DQEJDzEbMBkwCwYJYIZIAWUDBAECMAoGCCqGSIb3DQMHMC8GCSqGSIb3DQEJBDEi
BCAe+nwvfEDeSzlxzu/bh9NhGXse09khzI2I4NDh+RhC4TANBgkqhkiG9w0BAQEFAASCAQAQGhjM
gBzos3gV9DAsnBkeU0VfE3nGQUii85rPr13GBkWhhYWOTc4UTWqBB6Lbg6cKzJ9/KmLVxoaYUoXl
CX8AvC6VKII9ZO9PJ1qM22edRcv0kE8yPUAygPtE4VwPzWHXZMEOjOuD1GGSwiYFpfobGixvKB1l
vZ2KMfRMGnwT2C3eQDD0YZ09i3sftuyjmNJ1ria41ZAoqNpYK/TJEJKEuSAF8KqbKpxbPnio5KpO
gaQRyaPhmBUmyEvpZy4chDkt1b/3cASXLEX1DMVtKMal/BDf62cgAgTCpPGwxKyQcTMIPR/U75iT
75jGUNNvc1ZIPnlVJ3wMrPbKtBg7afG/AAAAAAAA
--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41659; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jun 2020 11:58:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 03 07:58:20 2020
Received: from localhost ([127.0.0.1]:42315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jgS2F-0001PP-Rd
	for submit <at> debbugs.gnu.org; Wed, 03 Jun 2020 07:58:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:58976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jgS2D-0001PH-W4
 for submit <at> debbugs.gnu.org; Wed, 03 Jun 2020 07:58:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41302)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jgS2D-0002kM-Ne
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jun 2020 07:58:17 -0400
Received: from ciao.gmane.io ([159.69.161.202]:60012)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jgS2C-0005YR-IA
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jun 2020 07:58:17 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1jgS29-000I3c-FC
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jun 2020 13:58:13 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Uwe Brauer <oub@HIDDEN>
Subject: [bisect: found the culprits] (was: bug#41659: 28.0.50;
 smime: encryption uses now base64, message not readable)
Date: Wed, 03 Jun 2020 13:58:07 +0200
Message-ID: <874krs5pkg.fsf@HIDDEN>
References: <87zh9mj5r1.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256; protocol="application/pkcs7-signature"
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:Kkw++TiepFdpnZazSM+01oZODhY=
Mail-Copies-To: never
Received-SPF: pass client-ip=159.69.161.202;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/03 07:58:13
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
Cc: Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

>>> "UB" =3D=3D Uwe Brauer <oub@HIDDEN> writes:

I bisected the whole afternoon and found the culprits.

* The BUG
First the following commit:

commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0
Author: Lars Ingebrigtsen <larsi@HIDDEN>
Date:   Mon Sep 23 18:23:22 2019 +0200

    Make mm-possibly-verify-or-decrypt pass decryption error

    * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): If
    there's an error, report the error back in a new part (bug#25649).

Introduced a bug, using any compiled emacs between this commit and
commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f=20

results in an emacs, which cannot decrypt smime messages!


* The repair
commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f (HEAD)
Author: Lars Ingebrigtsen <larsi@HIDDEN>
Date:   Thu Sep 26 16:24:29 2019 +0200

     Make it possible to view S/MIME verified emails

     * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): When
     dissecting the result, we need a header (bug#18393).

     * lisp/gnus/mm-view.el (mm-view-pkcs7-verify): Insert the verified
     string.

     * lisp/gnus/smime.el (smime-verify-region): Return the verified
     string.

With this commit, smime message can be decrypted, but they are not
decoded well, at least not for my setting, and my setting worked well
before commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0

So Lars, could you please try to repair this?


--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s
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--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41659; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jun 2020 07:18:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 02 03:18:13 2020
Received: from localhost ([127.0.0.1]:37748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jg1Bb-00081Q-Gg
	for submit <at> debbugs.gnu.org; Tue, 02 Jun 2020 03:18:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:42864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oub@HIDDEN>) id 1jg1BY-00081H-A6
 for submit <at> debbugs.gnu.org; Tue, 02 Jun 2020 03:18:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50566)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <oub@HIDDEN>) id 1jg1BY-0006M0-1p
 for bug-gnu-emacs@HIDDEN; Tue, 02 Jun 2020 03:18:08 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:37256)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <oub@HIDDEN>) id 1jg1BT-0003X0-JT
 for bug-gnu-emacs@HIDDEN; Tue, 02 Jun 2020 03:18:07 -0400
Received: by mail-wr1-x42c.google.com with SMTP id x13so2236360wrv.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 02 Jun 2020 00:18:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mat.ucm.es; s=google;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=72X0nb0vrTiSG8KpbeMC4goqvOoOFFmpzaABXkfLSyg=;
 b=DU6EZFnSlZMhr9lmngRiW+UiZK+/9EG8VYfPHIm6wWjW/otCWAtvMoXCb9kNvvLIaB
 gEFU2u/gNdS/w2/tO8v17sihdlQbz+Mh2EBtIbZrUQQ+iv5VAsaTV2V4BiEsptt04xfL
 dEGGJigw9BeosVPH+Ylwx9skryaE1KNGAgVW4=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=72X0nb0vrTiSG8KpbeMC4goqvOoOFFmpzaABXkfLSyg=;
 b=lC/65fa9X+EyPoq1kAI141jTtfoJGx1CgQml0jPK82U+fN9V3H8nYZG7NvFk7LPb2t
 psWh6Mtz0SeB6WJG+aJl5FS9n+bpZ9xAnE4+nRNhW8qgaEzU9tUdYRFWJRMdHTKthiGv
 0azwnD8zgAS4CAsbFBMKk2NWD+p8zW1+k22ncKZUxQy05sHEfekTn84jmjThDUJnLZ6K
 FGHhAP13bAwMXhsaMaUNgcH/SGqU9FtIx6S0dRq8fo/AtWDK0fPRn5M5/dNKs2g8U8aj
 VlrXgCK2CdbxY7KhiJPrfvZGi1/ESBw7McDPHujQkGK2sm5SXURo2SzpZtfRSBD+BOpM
 hnXA==
X-Gm-Message-State: AOAM531VNIaoHWgSIUvNeGO3MVTKGQpv/ikcTy2rPmLptPtQCyJ8LsoC
 PUfnfm4sqYhN6AiUwcdaeUyNLVXC2DJXFtHR74uztOjdpci+3oYHH/xLC48w+8fhIL7Zfeh4RMJ
 DLZhI1wbYSJWxbVO29qz1lXdfCr3sTXCljthwdxP2+qG1Ww+1vy1Zjw0Tlw==
X-Google-Smtp-Source: ABdhPJwW+wUQ/ROzC8wKK2vyQ2Q7lGdRBpIEE3sTTwHetEYoHJfuTJj7mXJ9le1gIt3X8ZK6nXE4gg==
X-Received: by 2002:a5d:4009:: with SMTP id n9mr5751877wrp.97.1591082278825;
 Tue, 02 Jun 2020 00:17:58 -0700 (PDT)
Received: from Utnapischtim
 (p2003000613e775445dcb6dba53a2145a.dip0.t-ipconnect.de.
 [2003:6:13e7:7544:5dcb:6dba:53a2:145a])
 by smtp.gmail.com with ESMTPSA id s132sm2411854wmf.12.2020.06.02.00.17.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 02 Jun 2020 00:17:57 -0700 (PDT)
X-Mailer: emacs 28.0.50 (via feedmail 11-beta-1 I)
From: Uwe Brauer <oub@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; smime: encryption uses now base64, message not readable
X-Hashcash: 1:20:200602:bug-gnu-emacs@HIDDEN::kUhEdXCgJMi+W7WZ:00000000000000000000000000000000000000000VNb
Date: Tue, 02 Jun 2020 09:17:54 +0200
Message-ID: <87zh9mj5r1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="==-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::42c; envelope-from=oub@HIDDEN;
 helo=mail-wr1-x42c.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -19
X-Spam_score: -2.0
X-Spam_bar: --
X-Spam_report: (-2.0 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--==-=-=
Content-Type: text/plain


Hi,

Using emacs master: 6d6ec1bc1e784af786cc0436f54211095bf7a952

And my standard smime setting, attached in a file apart,

 '(mml-secure-openpgp-encrypt-to-self t)
 '(mml-secure-openpgp-sign-with-sender nil)
 '(mml-secure-openpgp-signers nil)
 '(mml-secure-smime-encrypt-to-self t)
 '(mml-secure-smime-sign-with-sender t)

The message I received, when encrypted are not readable any more
here are two examples:

I know I sent a similar message some weeks ago with a different master
version. Lars answered everything is fine for him, if he reads this
message could he send me his setting?

For me everything was fine in master 
42ba6200af10c00c72ac13912d6fb42a7af88058

From august last year.

So I could try to bisect that problem, but that is quite cumbersome.

Regards

Uwe Brauer 

,----
| 
| 
| Return-Path: <oub@HIDDEN>
| Received: from Utnapischtim (p2003000613e775445dcb6dba53a2145a.dip0.t-ipconnect.de. [2003:6:13e7:7544:5dcb:6dba:53a2:145a])
|         by smtp.gmail.com with ESMTPSA id j2sm1113247edn.30.2020.06.02.00.05.15
|         for <oub@HIDDEN>
|         (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
|         Tue, 02 Jun 2020 00:05:15 -0700 (PDT)
| X-Mailer: emacs 28.0.50 (via feedmail 11-beta-1 I)
| From: Uwe Brauer <oub@HIDDEN>
| To: Uwe Brauer <oub@HIDDEN> 
| Subject: test
| Reply-To: Uwe Brauer <oub@HIDDEN>
| Date: Tue, 02 Jun 2020 09:05:14 +0200
| Message-ID: <87blm2kkwl.fsf@HIDDEN>
| User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
| MIME-Version: 1.0
| Content-Type: application/pkcs7-mime; smime-type=enveloped-data; name=smime.p7m
| Content-Transfer-Encoding: base64
| Content-Disposition: attachment; filename=smime.p7m
| 
| Content-Type: text/plain; charset=utf-8
| Content-Transfer-Encoding: base64
| 
| DQpOYWNpw7NuDQo=
| 
`----

,----
| From: Uwe Brauer <oub@HIDDEN>
| Subject: test 
| To: Uwe Brauer <oub@HIDDEN> 
| Date: Tue, 02 Jun 2020 09:05:55 +0200 (40 seconds ago)
| Reply-To: Uwe Brauer <oub@HIDDEN>
| 
| Content-Type: multipart/signed; boundary="=-=-=";
| 	micalg=sha256;   protocol="application/pkcs7-signature"
| 
| --=-=-=
| Content-Type: text/plain; charset=utf-8
| Content-Transfer-Encoding: base64
| 
| bmFjacOzbg0K
| --=-=-=
| Content-Type: application/pkcs7-signature; name=smime.p7s
| Content-Transfer-Encoding: base64
| Content-Disposition: attachment; filename=smime.p7s
| 
| MIAGCSqGSIb3DQEHAqCAMIACAQExDzANBglghkgBZQMEAgEFADCABgkqhkiG9w0BBwEAAKCCE8cw
| ggWDMIIDa6ADAgECAg9dk40wZzbIBh0ax1SEaQcwDQYJKoZIhvcNAQELBQAwOzELMAkGA1UEBhMC
| RVMxETAPBgNVBAoMCEZOTVQtUkNNMRkwFwYDVQQLDBBBQyBSQUlaIEZOTVQtUkNNMB4XDTA4MTAy
| OTE1NTk1NloXDTMwMDEwMTAwMDAwMFowOzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQtUkNN
| MRkwFwYDVQQLDBBBQyBSQUlaIEZOTVQtUkNNMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKC
| AgEAunGAekyGbn/IE23Axn0cAJePLAwjuxCaQKkat4eI+JtWavvme46Lko6nJV1ZEds2LrdRFx+p
| CB8EFyRYqjdKGN/lOdRX/dfBLJEBkeIi1APAWPx3R+yPPnRDuqw0jU04dmeOsMhvMDNYcVy09Wtu
| 1AFQuBN+bEqjSdEgGe68wCkYZafe/u/dCpAh5xpnkkIQmF9PMLw+HEW0ENdoQBTAQPrndxd65guP
| ZVs82ZpS27W9nkbPPeuRBQLAlrJ2TE0QljuS+px/D5nfviM1RR4CXP61qJuZJdpe8yLDOfXkKi7T
| xh/EbKrFHGoBBUov0sXBqDQmXWal0gIh+Ri3BvVOmW+oq0xR6M9QGMV3yDkJLEmSMpmouxcXebBa
| xeajxFllRzWDXqnoNQuZu+TNIMabSgY5tWj8IrruVYwrTurzseP8tpma1UL6cU0Iz4ceanF9+dO0
| 6aVxgXvCTkeWpfZ2haMoj+mAboFTpW1fuEj5wvk2pi5J/7iWwowHs5uIWPzrGxzeLXDil5IwoYnj
| vFWoJ9ZL7ZCti/pjJVktqDXdypczvOXNx53R7O9eDkqQBiZjrbnZNS0HunZlLKxXj330B5TXgQKW
| XaMHSdV60Ff5G+dTRnWqsHlCy2hxCOlgvTlpzvSvw1ZAx61Sognkb4ZHih/rKCddgyCvBMlsVpqL
| RvUCAwEAAaOBgzCBgDAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQU
| 933F/cTomht3ZKf1HaDMv4dgmm0wPgYDVR0gBDcwNTAzBgRVHSAAMCswKQYIKwYBBQUHAgEWHWh0
| dHA6Ly93d3cuY2VydC5mbm10LmVzL2RwY3MvMA0GCSqGSIb3DQEBCwUAA4ICAQAHkErf8yNO8MOc
| UWWbnCKiigyF83Mpa03+AeKpDGMBvwRnpZ2YX/0BE/rsmmLphv62YtJuTJT7wHVFfGUM+LI3z6wP
| z41v+Rn3j+we8nCe8Mq477f/djd2W/ZuiPOvYjIikw06ao4UZgwtU3RXZR7Vst0jgTulZiMnZwmP
| 4XeqQ81lUQjtUVj+5jn5y0eEpBXxdruk7qQ7xF/vsjOWERi3yWW+GOGjpNz6GPnTvBObOXo0utNB
| +/oyiiq3K4YLaYM4vs2KLgtwrY0mku4e9QErCtnWl5tu4KgZHDohiwweQK0D591mfvW5IA0D6Jb5
| gkXUOeCgAF3XmOZ9nmdzw5oq96uLoToU7zS8Ug6JmJoEQIQdfkVpk1fO6874UHxPHG4EQ5v51jsj
| GOnqjtFNRo3xO+Rqyrr7I7eb+pkBKVpYWi3j+dRtDiatwW40vDL4DAX6ZaPbOzeDIunW3HIz/V3y
| IL12PCPaKPf5G+tZZNXcX3J+IPzNibWQZ01iej9OrR3DOf569CgW30H2SIAF1w9ReawQq9TsA2bm
| arC6MZJCQGq+OtNy4Wo3VbysHZW3aWHyQ5F05qDTCiRGoQiv1tpFGZbUUx1bhHnwwPdH74uPxQau
| nUxinf9GBPjTybYQJUB1/haqyUpghi+67zB35FTiuISZWICqE4tROk9I9ou2szCCBtowggTCoAMC
| AQICEEVfOuFcIc26VE+CqkdR69swDQYJKoZIhvcNAQELBQAwOzELMAkGA1UEBhMCRVMxETAPBgNV
| BAoMCEZOTVQtUkNNMRkwFwYDVQQLDBBBQyBSQUlaIEZOTVQtUkNNMB4XDTE0MTAyODExNDg1OFoX
| DTI5MTAyODExNDg1OFowSzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQtUkNNMQ4wDAYDVQQL
| DAVDZXJlczEZMBcGA1UEAwwQQUMgRk5NVCBVc3VhcmlvczCCASIwDQYJKoZIhvcNAQEBBQADggEP
| ADCCAQoCggEBAJ0gBCYt+y1pMMvZk3+l5a7UcHLvlL5Fa+WPsgv5ujOGJa+G8cDY27Y/vvG+iQWm
| /cMh4ZLVUiAWvnYmIX7B7FlVoJDpUszSD6kzyjpo2LS91CbqFtwG6QzWSRFRYBKJZAoOdcFyjIzu
| zuQnycCAN4ldn23nkeGADprP9ZqptC0pK1osMJWBfVZ/Gqq/3gJ0/3fCnWAuWf/THNWs1h1je8ye
| jE3bmfT3FYzJu9Ir4h2qIYBFLve/W8tt2nMevau6iz4x5GKBoX9n7dbUKmJo7PYnIMD4a8y8stc8
| 12MtB6HhZ7OG4tjfjAU5qX/4vB2TiugctzEtlJQrI14R4c2psEcCAwEAAaOCAsgwggLEMBIGA1Ud
| EwEB/wQIMAYBAf8CAQAwDgYDVR0PAQH/BAQDAgEGMB0GA1UdDgQWBBSx1E/EI3n6RAUJxus5z+g1
| sLggZDCBmAYIKwYBBQUHAQEEgYswgYgwSQYIKwYBBQUHMAGGPWh0dHA6Ly9vY3NwZm5tdHJjbWNh
| LmNlcnQuZm5tdC5lcy9vY3NwZm5tdHJjbWNhL09jc3BSZXNwb25kZXIwOwYIKwYBBQUHMAKGL2h0
| dHA6Ly93d3cuY2VydC5mbm10LmVzL2NlcnRzL0FDUkFJWkZOTVRSQ00uY3J0MB8GA1UdIwQYMBaA
| FPd9xf3E6Jobd2Sn9R2gzL+HYJptMIHrBgNVHSAEgeMwgeAwgd0GBFUdIAAwgdQwKQYIKwYBBQUH
| AgEWHWh0dHA6Ly93d3cuY2VydC5mbm10LmVzL2RwY3MvMIGmBggrBgEFBQcCAjCBmQyBllN1amV0
| byBhIGxhcyBjb25kaWNpb25lcyBkZSB1c28gZXhwdWVzdGFzIGVuIGxhIERlY2xhcmFjacOzbiBk
| ZSBQcsOhY3RpY2FzIGRlIENlcnRpZmljYWNpw7NuIGRlIGxhIEZOTVQtUkNNICggQy8gSm9yZ2Ug
| SnVhbiwgMTA2LTI4MDA5LU1hZHJpZC1Fc3Bhw7FhKTCB1AYDVR0fBIHMMIHJMIHGoIHDoIHAhoGQ
| bGRhcDovL2xkYXBmbm10LmNlcnQuZm5tdC5lcy9DTj1DUkwsT1U9QUMlMjBSQUlaJTIwRk5NVC1S
| Q00sTz1GTk1ULVJDTSxDPUVTP2F1dGhvcml0eVJldm9jYXRpb25MaXN0O2JpbmFyeT9iYXNlP29i
| amVjdGNsYXNzPWNSTERpc3RyaWJ1dGlvblBvaW50hitodHRwOi8vd3d3LmNlcnQuZm5tdC5lcy9j
| cmxzL0FSTEZOTVRSQ00uY3JsMA0GCSqGSIb3DQEBCwUAA4ICAQCMPSi04H4N825c2lx3PYBkHk7p
| ErjJ5rL/K4CgeD2ETCxliy/c8WMr591SQduv/BcLjJqE8gnUXVainvmCZsCFXpxe6oPnfEaOfl/m
| Y+2rYu9GTidhlYG9TQI9qTQPmfnma1aVA599S/t84k4S76QLRLU8egExWyZhIJKUdQJ21s77rMMF
| CDFAbKUdNp4giM6giVZtrtlMvZB8PnYgSUbsFWKaQWWr4J+xAjTvryniACmZnvljHdGUE4ZA0WCM
| RRcGIVhaHNUxPi39J1WxGuY/7+qFXGrj/tnci4x/603VYYeC5yPwyjxih3bkPKl7oW8YGyIrvIwU
| /9J93VkDxQd6LvfrB5ZU/bklFRq7Sviso4Bix+aHvIuBjmx+xiVLYZFMBGMxoo4P1pir5vo4NIJ5
| Vk+x4lNCuHxFpXSAZfZzWoddskj1Tet6v/JAl0tyUfHDPNmXrMy1Z7T7OuIrVdliq5KzQPi7buGf
| 1E2OJbh/iEXr6Pa3k+u/dDEL2KwsI0rLjQ+H1yPOv5hhEhr4W8BApqYXvC/41dLmdNciOZpoIXnQ
| a+Vqir+uBJiFzRVWdt/pofERQoKj2bGrVWlaAUKtRXrzoTzIxL8YjIMz173tgN4Epp4P1Cg3Chsx
| W8i/r3kmYXT/OeJj5NyDxAmGRDagGFl4wZbZvFA0ZlAbdcKYETCCB14wggZGoAMCAQICEHyPZdFE
| 3gS5WtRZrC7IKYIwDQYJKoZIhvcNAQELBQAwSzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQt
| UkNNMQ4wDAYDVQQLDAVDZXJlczEZMBcGA1UEAwwQQUMgRk5NVCBVc3VhcmlvczAeFw0xODA0MTYw
| ODA3MDhaFw0yMjA0MTYwODA3MDhaMIGBMQswCQYDVQQGEwJFUzEYMBYGA1UEBRMPSURDRVMtWDIw
| NjQxMjNCMRkwFwYDVQQqDBBVV0UgUklDSEFSRCBPVFRPMQ8wDQYDVQQEDAZCUkFVRVIxLDAqBgNV
| BAMMI0JSQVVFUiBVV0UgUklDSEFSRCBPVFRPIC0gWDIwNjQxMjNCMIIBIjANBgkqhkiG9w0BAQEF
| AAOCAQ8AMIIBCgKCAQEAzS7yAm9gXjzxCrn15XBUuZz/gDM/KQi589qGkENYw7LiHtxKBOncld1o
| FohvckNdY7A8AJiHVVVoA6BXF7DI0BGFwaQ5qUDlzq7mW9+zL+OLXNSp52lfuERPd2y18LaHLp34
| czgsvaCTzPl//lrDz6sa5Q//1DlNuzbjY/Afgd+jPPCI4wjOPcW3k1pvEf9Ed1nmAEiqAfyeHN/n
| RSfL83jACwvvkrJFg3gxTKrp7QJUdbTAomwPhQcsTWFxdA4FXPAZlYrhiM/qGRp/IKzRUCwIIebD
| qmkfLZIRl1gm9RFzzpps+dcw4qV7nRcA2KWQwjd36pVQxVF1e1BXq+BZjwIDAQABo4IEBTCCBAEw
| bwYDVR0RBGgwZoEOb3ViQG1hdC51Y20uZXOkVDBSMRgwFgYJKwYBBAGsZgEEDAlYMjA2NDEyM0Ix
| FTATBgkrBgEEAaxmAQIMBkJSQVVFUjEfMB0GCSsGAQQBrGYBAQwQVVdFIFJJQ0hBUkQgT1RUTzAM
| BgNVHRMBAf8EAjAAMA4GA1UdDwEB/wQEAwIF4DAdBgNVHSUEFjAUBggrBgEFBQcDBAYIKwYBBQUH
| AwIwHQYDVR0OBBYEFORUbZuzfTkfXyYfMh59Q0C0evYpMB8GA1UdIwQYMBaAFLHUT8QjefpEBQnG
| 6znP6DWwuCBkMIGCBggrBgEFBQcBAQR2MHQwPQYIKwYBBQUHMAGGMWh0dHA6Ly9vY3NwdXN1LmNl
| cnQuZm5tdC5lcy9vY3NwdXN1L09jc3BSZXNwb25kZXIwMwYIKwYBBQUHMAKGJ2h0dHA6Ly93d3cu
| Y2VydC5mbm10LmVzL2NlcnRzL0FDVVNVLmNydDCCARUGA1UdIASCAQwwggEIMIH6BgorBgEEAaxm
| AwoBMIHrMCkGCCsGAQUFBwIBFh1odHRwOi8vd3d3LmNlcnQuZm5tdC5lcy9kcGNzLzCBvQYIKwYB
| BQUHAgIwgbAMga1DZXJ0aWZpY2FkbyBjdWFsaWZpY2FkbyBkZSBmaXJtYSBlbGVjdHLDs25pY2Eu
| IFN1amV0byBhIGxhcyBjb25kaWNpb25lcyBkZSB1c28gZXhwdWVzdGFzIGVuIGxhIERQQyBkZSBs
| YSBGTk1ULVJDTSBjb24gTklGOiBRMjgyNjAwNC1KIChDL0pvcmdlIEp1YW4gMTA2LTI4MDA5LU1h
| ZHJpZC1Fc3Bhw7FhKTAJBgcEAIvsQAEAMIG6BggrBgEFBQcBAwSBrTCBqjAIBgYEAI5GAQEwCwYG
| BACORgEDAgEPMBMGBgQAjkYBBjAJBgcEAI5GAQYBMHwGBgQAjkYBBTByMDcWMWh0dHBzOi8vd3d3
| LmNlcnQuZm5tdC5lcy9wZHMvUERTQUNVc3Vhcmlvc19lcy5wZGYTAmVzMDcWMWh0dHBzOi8vd3d3
| LmNlcnQuZm5tdC5lcy9wZHMvUERTQUNVc3Vhcmlvc19lbi5wZGYTAmVuMIG1BgNVHR8Ega0wgaow
| gaeggaSggaGGgZ5sZGFwOi8vbGRhcHVzdS5jZXJ0LmZubXQuZXMvY249Q1JMMTgwNixjbj1BQyUy
| MEZOTVQlMjBVc3VhcmlvcyxvdT1DRVJFUyxvPUZOTVQtUkNNLGM9RVM/Y2VydGlmaWNhdGVSZXZv
| Y2F0aW9uTGlzdDtiaW5hcnk/YmFzZT9vYmplY3RjbGFzcz1jUkxEaXN0cmlidXRpb25Qb2ludDAN
| BgkqhkiG9w0BAQsFAAOCAQEAZvJUHMPzj+us0nNHF9NuVpoY1yQL9NzCMCBHYdHQPmc4ITA8zYwa
| jTXv9lj6P+JDAoa/kqFImCOLcy0ZL4VucSZgtTA8HDuU6mzM11Gf4VKeLnJk9T8EJr5/HQDw+okC
| r5YlPfyX3y14qdscFa1UJCASfH9PMk8NDF9sr7qHhz/SmapSF87Co8V8uCrCSODmdBHZCAfAIb35
| ujfEUuXi0cVkW9PwHltpA1ahA8TXuIXWkk+Ot2NIy5M2SlLVnSUInArMkbc9meIQKpKHTl2oSFm6
| PA272V54F5VoKfYLRk38PAZosWyAHiXDLMl3ZgN7ZZZsc17WPeu3kCICEkW1IzGCAiAwggIcAgEB
| MF8wSzELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZOTVQtUkNNMQ4wDAYDVQQLDAVDZXJlczEZMBcG
| A1UEAwwQQUMgRk5NVCBVc3VhcmlvcwIQfI9l0UTeBLla1FmsLsgpgjANBglghkgBZQMEAgEFAKCB
| kzAYBgkqhkiG9w0BCQMxCwYJKoZIhvcNAQcBMBwGCSqGSIb3DQEJBTEPFw0yMDA2MDIwNzA1NTVa
| MCgGCSqGSIb3DQEJDzEbMBkwCwYJYIZIAWUDBAECMAoGCCqGSIb3DQMHMC8GCSqGSIb3DQEJBDEi
| BCClxwz2u1xeslRaRbp2EPxYoI8Swa64LRWf4giL7UM8KjANBgkqhkiG9w0BAQEFAASCAQAxINX1
| F1lNV98jKaTK24gKyr4jH/YGzNmFOnhAaLwxr6aIo1LP6ufWul/uY3YUFnwnw0B7L9gy41uaxsMl
| nQSzDVODLkIP73pTSI4SbF6lrQEqrJJGHQa4UAOPCK30D/PlCjKxWXL0dehEAf3OlRvd0kl3nVoa
| qnJ5+WHBETwhdBsmilgmAFWhF403xizIxlwfWrRG+uCLOf7rCxrpRk5FYxTQzqWX9K1Awkcy0/u+
| cW/yjbccBVJ5L4GjfvkwT+L68zeAbdZ+UWnJdwqZ3bJRD7PHGWndbt/Zz1RLRl+R3RvdYXrdFj6A
| zkfgQOgyTAmVDFVBQ535u62rBDmnwg4LAAAAAAAA
| --=-=-=--
| 
`----
 
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 16.04.6 LTS

Recent messages:
Sending...done
Deleting article /home/oub/News/drafts/drafts/3625 in drafts...
nnimap read 0k from imap.gmail.com
Auto-saving...done
Mark set [2 times]
Saved text until "DFVBQ535u62rBDmnwg4LAAAAAAAA
--=-=-=--

"
Making completion list...

Configured using:
 'configure --prefix=/opt/emacs28 --with-x-toolkit=athena --without-pop'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_ALL: en_US.UTF8
  value of $LC_MONETARY: es_ES.UTF-8
  value of $LC_NUMERIC: es_ES.UTF-8
  value of $LC_TIME: es_ES.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Article

Minor modes in effect:
  which-key-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  path-headerline-mode: t
  save-place-mode: t
  global-diff-hl-mode: t
  display-time-mode: t
  global-orglink-mode: t
  better-registers: t
  recentf-mode: t
  csv-field-index-mode: t
  shell-dirtrack-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  prettify-symbols-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/oub/emacs/site-lisp/linked-buffer hides /home/oub/ALLES/src/m-buffer-el/linked-buffer
/home/oub/emacs/site-lisp/babel hides /home/oub/emacs/site-lisp/versch/babel
/home/oub/emacs/site-lisp/packages/personal-lisp/extra hides /home/oub/emacs/site-lisp/versch/extra
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-publish hides /home/oub/emacs/site-lisp/versch/matlab-publish
/home/oub/emacs/site-lisp/packages/remember-2.0/remember hides /home/oub/emacs/site-lisp/versch/remember
/home/oub/emacs/site-lisp/packages/personal-lisp/test hides /home/oub/emacs/site-lisp/versch/test
/home/oub/emacs/site-lisp/versch/org-addons hides /home/oub/emacs/init/org-addons
/home/oub/emacs/site-lisp/versch/gnus-mini hides /home/oub/emacs/init/gnus-mini
/home/oub/emacs/site-lisp/packages/personal-lisp/test hides /home/oub/emacs/test
/home/oub/emacs/site-lisp/versch/bm hides /home/oub/.emacs.d/elpa/bm-20170815.1609/bm
/home/oub/emacs/site-lisp/versch/cdlatex hides /home/oub/.emacs.d/elpa/cdlatex-20140707.426/cdlatex
/home/oub/emacs/site-lisp/versch/easy-kill hides /home/oub/.emacs.d/elpa/easy-kill-0.9.3/easy-kill
/home/oub/.emacs.d/elpa/google-translate-20190620.1416/.bump-version hides /home/oub/.emacs.d/elpa/iregister-20150515.1407/.bump-version
/home/oub/emacs/site-lisp/versch/latex-pretty-symbols hides /home/oub/.emacs.d/elpa/latex-pretty-symbols-20151112.244/latex-pretty-symbols
/home/oub/emacs/site-lisp/versch/list-register hides /home/oub/.emacs.d/elpa/list-register-20091203.1015/list-register
/home/oub/ALLES/src/m-buffer-el/m-buffer hides /home/oub/.emacs.d/elpa/m-buffer-20170407.2141/m-buffer
/home/oub/ALLES/src/m-buffer-el/m-buffer-macro hides /home/oub/.emacs.d/elpa/m-buffer-20170407.2141/m-buffer-macro
/home/oub/ALLES/src/m-buffer-el/m-buffer-at hides /home/oub/.emacs.d/elpa/m-buffer-20170407.2141/m-buffer-at
/home/oub/emacs/site-lisp/versch/markdown-mode hides /home/oub/.emacs.d/elpa/markdown-mode-20171116.756/markdown-mode
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-complete hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-complete
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-topic hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-topic
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-shell hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-shell
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/srecode-matlab hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/srecode-matlab
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/semantic-matlab hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/semantic-matlab
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/mlint hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/mlint
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-maint hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-maint
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/linemark hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/linemark
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-netshell hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-netshell
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-cgen hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-cgen
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-shell-gud hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-shell-gud
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/semanticdb-matlab hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/semanticdb-matlab
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-compat hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-compat
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-publish hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-publish
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/tlc hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/tlc
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/cedet-matlab hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/cedet-matlab
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/company-matlab-shell hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/company-matlab-shell
/home/oub/emacs/site-lisp/packages/src/Matlab/matlab-sf-hg/matlab-mode-pkg hides /home/oub/.emacs.d/elpa/matlab-mode-20191223.2012/matlab-mode-pkg
/home/oub/src/org-mode/contrib/lisp/org-mac-link hides /home/oub/.emacs.d/elpa/org-mac-link-20170105.1723/org-mac-link
/home/oub/.emacs.d/elpa/orgtbl-aggregate-20160421.726/org-insert-dblock hides /home/oub/.emacs.d/elpa/orgtbl-join-20150121.1446/org-insert-dblock
/home/oub/.emacs.d/elpa/org-pandoc-20130729.1850/ox-pandoc hides /home/oub/.emacs.d/elpa/ox-pandoc-20171107.341/ox-pandoc
/home/oub/emacs/site-lisp/packages/org/org-agenda hides /home/oub/.emacs.d/elpa/org-20171116/org-agenda
/home/oub/emacs/site-lisp/packages/org/ob-lob hides /home/oub/.emacs.d/elpa/org-20171116/ob-lob
/home/oub/emacs/site-lisp/packages/org/ob hides /home/oub/.emacs.d/elpa/org-20171116/ob
/home/oub/emacs/site-lisp/packages/org/ob-ruby hides /home/oub/.emacs.d/elpa/org-20171116/ob-ruby
/home/oub/emacs/site-lisp/packages/org/ob-coq hides /home/oub/.emacs.d/elpa/org-20171116/ob-coq
/home/oub/emacs/site-lisp/packages/org/ob-stan hides /home/oub/.emacs.d/elpa/org-20171116/ob-stan
/home/oub/emacs/site-lisp/packages/org/ob-shell hides /home/oub/.emacs.d/elpa/org-20171116/ob-shell
/home/oub/emacs/site-lisp/packages/org/ox-man hides /home/oub/.emacs.d/elpa/org-20171116/ox-man
/home/oub/emacs/site-lisp/packages/org/org-faces hides /home/oub/.emacs.d/elpa/org-20171116/org-faces
/home/oub/emacs/site-lisp/packages/org/ox-publish hides /home/oub/.emacs.d/elpa/org-20171116/ox-publish
/home/oub/emacs/site-lisp/packages/org/ob-haskell hides /home/oub/.emacs.d/elpa/org-20171116/ob-haskell
/home/oub/emacs/site-lisp/packages/org/ob-mscgen hides /home/oub/.emacs.d/elpa/org-20171116/ob-mscgen
/home/oub/emacs/site-lisp/packages/org/ob-plantuml hides /home/oub/.emacs.d/elpa/org-20171116/ob-plantuml
/home/oub/emacs/site-lisp/packages/org/ob-comint hides /home/oub/.emacs.d/elpa/org-20171116/ob-comint
/home/oub/emacs/site-lisp/packages/org/ox-org hides /home/oub/.emacs.d/elpa/org-20171116/ox-org
/home/oub/emacs/site-lisp/packages/org/org-ctags hides /home/oub/.emacs.d/elpa/org-20171116/org-ctags
/home/oub/emacs/site-lisp/packages/org/ob-clojure hides /home/oub/.emacs.d/elpa/org-20171116/ob-clojure
/home/oub/emacs/site-lisp/packages/org/ob-forth hides /home/oub/.emacs.d/elpa/org-20171116/ob-forth
/home/oub/emacs/site-lisp/packages/org/ob-css hides /home/oub/.emacs.d/elpa/org-20171116/ob-css
/home/oub/emacs/site-lisp/packages/org/ob-maxima hides /home/oub/.emacs.d/elpa/org-20171116/ob-maxima
/home/oub/emacs/site-lisp/packages/org/ob-ebnf hides /home/oub/.emacs.d/elpa/org-20171116/ob-ebnf
/home/oub/emacs/site-lisp/packages/org/org-attach hides /home/oub/.emacs.d/elpa/org-20171116/org-attach
/home/oub/emacs/site-lisp/packages/org/ob-emacs-lisp hides /home/oub/.emacs.d/elpa/org-20171116/ob-emacs-lisp
/home/oub/emacs/site-lisp/packages/org/org-footnote hides /home/oub/.emacs.d/elpa/org-20171116/org-footnote
/home/oub/emacs/site-lisp/packages/org/ob-dot hides /home/oub/.emacs.d/elpa/org-20171116/ob-dot
/home/oub/emacs/site-lisp/packages/org/ob-shen hides /home/oub/.emacs.d/elpa/org-20171116/ob-shen
/home/oub/emacs/site-lisp/packages/org/ob-processing hides /home/oub/.emacs.d/elpa/org-20171116/ob-processing
/home/oub/emacs/site-lisp/packages/org/ob-picolisp hides /home/oub/.emacs.d/elpa/org-20171116/ob-picolisp
/home/oub/emacs/site-lisp/packages/org/ob-io hides /home/oub/.emacs.d/elpa/org-20171116/ob-io
/home/oub/emacs/site-lisp/packages/org/ob-ledger hides /home/oub/.emacs.d/elpa/org-20171116/ob-ledger
/home/oub/emacs/site-lisp/packages/org/org-compat hides /home/oub/.emacs.d/elpa/org-20171116/org-compat
/home/oub/emacs/site-lisp/packages/org/ob-org hides /home/oub/.emacs.d/elpa/org-20171116/ob-org
/home/oub/emacs/site-lisp/packages/org/ob-lilypond hides /home/oub/.emacs.d/elpa/org-20171116/ob-lilypond
/home/oub/emacs/site-lisp/packages/org/org-feed hides /home/oub/.emacs.d/elpa/org-20171116/org-feed
/home/oub/emacs/site-lisp/packages/org/ob-vala hides /home/oub/.emacs.d/elpa/org-20171116/ob-vala
/home/oub/emacs/site-lisp/packages/org/org-colview hides /home/oub/.emacs.d/elpa/org-20171116/org-colview
/home/oub/emacs/site-lisp/packages/org/ob-latex hides /home/oub/.emacs.d/elpa/org-20171116/ob-latex
/home/oub/emacs/site-lisp/packages/org/org-timer hides /home/oub/.emacs.d/elpa/org-20171116/org-timer
/home/oub/emacs/site-lisp/packages/org/org-archive hides /home/oub/.emacs.d/elpa/org-20171116/org-archive
/home/oub/emacs/site-lisp/packages/org/org-inlinetask hides /home/oub/.emacs.d/elpa/org-20171116/org-inlinetask
/home/oub/emacs/site-lisp/packages/org/ob-python hides /home/oub/.emacs.d/elpa/org-20171116/ob-python
/home/oub/emacs/site-lisp/packages/org/ob-awk hides /home/oub/.emacs.d/elpa/org-20171116/ob-awk
/home/oub/emacs/site-lisp/packages/org/ob-screen hides /home/oub/.emacs.d/elpa/org-20171116/ob-screen
/home/oub/emacs/site-lisp/packages/org/org-id hides /home/oub/.emacs.d/elpa/org-20171116/org-id
/home/oub/emacs/site-lisp/packages/org/ox-texinfo hides /home/oub/.emacs.d/elpa/org-20171116/ox-texinfo
/home/oub/emacs/site-lisp/packages/org/org-habit hides /home/oub/.emacs.d/elpa/org-20171116/org-habit
/home/oub/emacs/site-lisp/packages/org/ob-C hides /home/oub/.emacs.d/elpa/org-20171116/ob-C
/home/oub/emacs/site-lisp/packages/org/org-entities hides /home/oub/.emacs.d/elpa/org-20171116/org-entities
/home/oub/emacs/site-lisp/packages/org/ob-perl hides /home/oub/.emacs.d/elpa/org-20171116/ob-perl
/home/oub/emacs/site-lisp/packages/org/ob-gnuplot hides /home/oub/.emacs.d/elpa/org-20171116/ob-gnuplot
/home/oub/emacs/site-lisp/packages/org/ob-R hides /home/oub/.emacs.d/elpa/org-20171116/ob-R
/home/oub/emacs/site-lisp/packages/org/org-capture hides /home/oub/.emacs.d/elpa/org-20171116/org-capture
/home/oub/emacs/site-lisp/packages/org/ob-lisp hides /home/oub/.emacs.d/elpa/org-20171116/ob-lisp
/home/oub/emacs/site-lisp/packages/org/org-pcomplete hides /home/oub/.emacs.d/elpa/org-20171116/org-pcomplete
/home/oub/emacs/site-lisp/packages/org/ob-octave hides /home/oub/.emacs.d/elpa/org-20171116/ob-octave
/home/oub/emacs/site-lisp/packages/org/org-table hides /home/oub/.emacs.d/elpa/org-20171116/org-table
/home/oub/emacs/site-lisp/packages/org/ox hides /home/oub/.emacs.d/elpa/org-20171116/ox
/home/oub/emacs/site-lisp/packages/org/org-lint hides /home/oub/.emacs.d/elpa/org-20171116/org-lint
/home/oub/emacs/site-lisp/packages/org/ob-ocaml hides /home/oub/.emacs.d/elpa/org-20171116/ob-ocaml
/home/oub/emacs/site-lisp/packages/org/ob-lua hides /home/oub/.emacs.d/elpa/org-20171116/ob-lua
/home/oub/emacs/site-lisp/packages/org/ob-sql hides /home/oub/.emacs.d/elpa/org-20171116/ob-sql
/home/oub/emacs/site-lisp/packages/org/ob-scheme hides /home/oub/.emacs.d/elpa/org-20171116/ob-scheme
/home/oub/emacs/site-lisp/packages/org/ox-icalendar hides /home/oub/.emacs.d/elpa/org-20171116/ox-icalendar
/home/oub/emacs/site-lisp/packages/org/ob-abc hides /home/oub/.emacs.d/elpa/org-20171116/ob-abc
/home/oub/emacs/site-lisp/packages/org/ob-sed hides /home/oub/.emacs.d/elpa/org-20171116/ob-sed
/home/oub/emacs/site-lisp/packages/org/ob-matlab hides /home/oub/.emacs.d/elpa/org-20171116/ob-matlab
/home/oub/emacs/site-lisp/packages/org/ox-latex hides /home/oub/.emacs.d/elpa/org-20171116/ox-latex
/home/oub/emacs/site-lisp/packages/org/org-clock hides /home/oub/.emacs.d/elpa/org-20171116/org-clock
/home/oub/emacs/site-lisp/packages/org/org-mobile hides /home/oub/.emacs.d/elpa/org-20171116/org-mobile
/home/oub/emacs/site-lisp/packages/org/ob-js hides /home/oub/.emacs.d/elpa/org-20171116/ob-js
/home/oub/emacs/site-lisp/packages/org/org-indent hides /home/oub/.emacs.d/elpa/org-20171116/org-indent
/home/oub/emacs/site-lisp/packages/org/ob-ditaa hides /home/oub/.emacs.d/elpa/org-20171116/ob-ditaa
/home/oub/emacs/site-lisp/packages/org/ob-sqlite hides /home/oub/.emacs.d/elpa/org-20171116/ob-sqlite
/home/oub/emacs/site-lisp/packages/org/ob-table hides /home/oub/.emacs.d/elpa/org-20171116/ob-table
/home/oub/emacs/site-lisp/packages/org/ob-groovy hides /home/oub/.emacs.d/elpa/org-20171116/ob-groovy
/home/oub/emacs/site-lisp/packages/org/ox-odt hides /home/oub/.emacs.d/elpa/org-20171116/ox-odt
/home/oub/emacs/site-lisp/packages/org/org-datetree hides /home/oub/.emacs.d/elpa/org-20171116/org-datetree
/home/oub/emacs/site-lisp/packages/org/ob-calc hides /home/oub/.emacs.d/elpa/org-20171116/ob-calc
/home/oub/emacs/site-lisp/packages/org/ob-eval hides /home/oub/.emacs.d/elpa/org-20171116/ob-eval
/home/oub/emacs/site-lisp/packages/org/ox-ascii hides /home/oub/.emacs.d/elpa/org-20171116/ox-ascii
/home/oub/emacs/site-lisp/packages/org/ob-ref hides /home/oub/.emacs.d/elpa/org-20171116/ob-ref
/home/oub/emacs/site-lisp/packages/org/org-install hides /home/oub/.emacs.d/elpa/org-20171116/org-install
/home/oub/emacs/site-lisp/packages/org/org-list hides /home/oub/.emacs.d/elpa/org-20171116/org-list
/home/oub/emacs/site-lisp/packages/org/org-macs hides /home/oub/.emacs.d/elpa/org-20171116/org-macs
/home/oub/emacs/site-lisp/packages/org/org-element hides /home/oub/.emacs.d/elpa/org-20171116/org-element
/home/oub/emacs/site-lisp/packages/org/org-version hides /home/oub/.emacs.d/elpa/org-20171116/org-version
/home/oub/emacs/site-lisp/packages/org/ob-tangle hides /home/oub/.emacs.d/elpa/org-20171116/ob-tangle
/home/oub/emacs/site-lisp/packages/org/ob-java hides /home/oub/.emacs.d/elpa/org-20171116/ob-java
/home/oub/emacs/site-lisp/packages/org/org-duration hides /home/oub/.emacs.d/elpa/org-20171116/org-duration
/home/oub/emacs/site-lisp/packages/org/org hides /home/oub/.emacs.d/elpa/org-20171116/org
/home/oub/emacs/site-lisp/packages/org/org-protocol hides /home/oub/.emacs.d/elpa/org-20171116/org-protocol
/home/oub/emacs/site-lisp/packages/org/ob-hledger hides /home/oub/.emacs.d/elpa/org-20171116/ob-hledger
/home/oub/emacs/site-lisp/packages/org/ox-html hides /home/oub/.emacs.d/elpa/org-20171116/ox-html
/home/oub/emacs/site-lisp/packages/org/org-src hides /home/oub/.emacs.d/elpa/org-20171116/org-src
/home/oub/emacs/site-lisp/packages/org/org-loaddefs hides /home/oub/.emacs.d/elpa/org-20171116/org-loaddefs
/home/oub/emacs/site-lisp/packages/org/org-macro hides /home/oub/.emacs.d/elpa/org-20171116/org-macro
/home/oub/emacs/site-lisp/packages/org/ob-fortran hides /home/oub/.emacs.d/elpa/org-20171116/ob-fortran
/home/oub/emacs/site-lisp/packages/org/org-mouse hides /home/oub/.emacs.d/elpa/org-20171116/org-mouse
/home/oub/emacs/site-lisp/packages/org/ob-makefile hides /home/oub/.emacs.d/elpa/org-20171116/ob-makefile
/home/oub/emacs/site-lisp/packages/org/org-plot hides /home/oub/.emacs.d/elpa/org-20171116/org-plot
/home/oub/emacs/site-lisp/packages/org/ob-J hides /home/oub/.emacs.d/elpa/org-20171116/ob-J
/home/oub/emacs/site-lisp/packages/org/ob-core hides /home/oub/.emacs.d/elpa/org-20171116/ob-core
/home/oub/emacs/site-lisp/packages/org/org-crypt hides /home/oub/.emacs.d/elpa/org-20171116/org-crypt
/home/oub/emacs/site-lisp/packages/org/ob-asymptote hides /home/oub/.emacs.d/elpa/org-20171116/ob-asymptote
/home/oub/emacs/site-lisp/packages/org/ob-exp hides /home/oub/.emacs.d/elpa/org-20171116/ob-exp
/home/oub/emacs/site-lisp/packages/org/ox-beamer hides /home/oub/.emacs.d/elpa/org-20171116/ox-beamer
/home/oub/emacs/site-lisp/packages/org/ob-sass hides /home/oub/.emacs.d/elpa/org-20171116/ob-sass
/home/oub/emacs/site-lisp/packages/org/ox-md hides /home/oub/.emacs.d/elpa/org-20171116/ox-md
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/context hides /home/oub/.emacs.d/elpa/auctex-12.2.0/context
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/bib-cite hides /home/oub/.emacs.d/elpa/auctex-12.2.0/bib-cite
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-info hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-info
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-jp hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-jp
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/toolbar-x hides /home/oub/.emacs.d/elpa/auctex-12.2.0/toolbar-x
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-style hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-style
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/prv-emacs hides /home/oub/.emacs.d/elpa/auctex-12.2.0/prv-emacs
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/plain-tex hides /home/oub/.emacs.d/elpa/auctex-12.2.0/plain-tex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/context-nl hides /home/oub/.emacs.d/elpa/auctex-12.2.0/context-nl
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/context-en hides /home/oub/.emacs.d/elpa/auctex-12.2.0/context-en
/home/oub/emacs/site-lisp/packages/auctex-git/tex-site hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-site
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/latex hides /home/oub/.emacs.d/elpa/auctex-12.2.0/latex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/font-latex hides /home/oub/.emacs.d/elpa/auctex-12.2.0/font-latex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-buf hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-buf
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-mik hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-mik
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/preview hides /home/oub/.emacs.d/elpa/auctex-12.2.0/preview
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/multi-prompt hides /home/oub/.emacs.d/elpa/auctex-12.2.0/multi-prompt
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-ispell hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-ispell
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-bar hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-bar
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/latex-flymake hides /home/oub/.emacs.d/elpa/auctex-12.2.0/latex-flymake
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/texmathp hides /home/oub/.emacs.d/elpa/auctex-12.2.0/texmathp
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex hides /home/oub/.emacs.d/elpa/auctex-12.2.0/auctex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-font hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-font
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-fold hides /home/oub/.emacs.d/elpa/auctex-12.2.0/tex-fold
/home/oub/emacs/site-lisp/versch/json hides /opt/emacs28/share/emacs/28.0.50/lisp/json
/home/oub/emacs/site-lisp/versch/abbrev hides /opt/emacs28/share/emacs/28.0.50/lisp/abbrev
/home/oub/emacs/site-lisp/versch/ffap hides /opt/emacs28/share/emacs/28.0.50/lisp/ffap
/home/oub/emacs/site-lisp/packages/remember-2.0/remember hides /opt/emacs28/share/emacs/28.0.50/lisp/textmodes/remember
/home/oub/emacs/site-lisp/packages/personal-lisp/refill hides /opt/emacs28/share/emacs/28.0.50/lisp/textmodes/refill
/home/oub/emacs/site-lisp/packages/org/org-agenda hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-agenda
/home/oub/emacs/site-lisp/packages/org/org-macs hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-macs
/home/oub/emacs/site-lisp/packages/org/org-goto hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-goto
/home/oub/emacs/site-lisp/packages/org/ob-picolisp hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-picolisp
/home/oub/emacs/site-lisp/packages/org/ob-lob hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-lob
/home/oub/emacs/site-lisp/packages/org/ox-org hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-org
/home/oub/emacs/site-lisp/packages/org/ox-texinfo hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-texinfo
/home/oub/emacs/site-lisp/packages/org/ob-ruby hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-ruby
/home/oub/emacs/site-lisp/packages/org/ob-sed hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-sed
/home/oub/emacs/site-lisp/packages/org/ob-stan hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-stan
/home/oub/emacs/site-lisp/packages/org/org-mobile hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-mobile
/home/oub/emacs/site-lisp/packages/org/ob-shell hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-shell
/home/oub/emacs/site-lisp/packages/org/ob-shen hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-shen
/home/oub/emacs/site-lisp/packages/org/org-faces hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-faces
/home/oub/emacs/site-lisp/packages/org/ox-publish hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-publish
/home/oub/emacs/site-lisp/packages/org/ob-mscgen hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-mscgen
/home/oub/emacs/site-lisp/packages/org/ob-plantuml hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-plantuml
/home/oub/emacs/site-lisp/packages/org/ob-ledger hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-ledger
/home/oub/emacs/site-lisp/packages/org/org-indent hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-indent
/home/oub/emacs/site-lisp/packages/org/ob-sass hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-sass
/home/oub/emacs/site-lisp/packages/org/org-ctags hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-ctags
/home/oub/emacs/site-lisp/packages/org/ob-forth hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-forth
/home/oub/emacs/site-lisp/packages/org/ob-maxima hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-maxima
/home/oub/emacs/site-lisp/packages/org/org-archive hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-archive
/home/oub/emacs/site-lisp/packages/org/ol hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol
/home/oub/emacs/site-lisp/packages/org/ob-emacs-lisp hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-emacs-lisp
/home/oub/emacs/site-lisp/packages/org/ob-comint hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-comint
/home/oub/emacs/site-lisp/packages/org/ob-core hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-core
/home/oub/emacs/site-lisp/packages/org/ob-processing hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-processing
/home/oub/emacs/site-lisp/packages/org/ol-eww hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-eww
/home/oub/emacs/site-lisp/packages/org/ob-io hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-io
/home/oub/emacs/site-lisp/packages/org/ob-hledger hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-hledger
/home/oub/emacs/site-lisp/packages/org/ol-gnus hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-gnus
/home/oub/emacs/site-lisp/packages/org/ob-eshell hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-eshell
/home/oub/emacs/site-lisp/packages/org/org-colview hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-colview
/home/oub/emacs/site-lisp/packages/org/ob-org hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-org
/home/oub/emacs/site-lisp/packages/org/ob-lilypond hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-lilypond
/home/oub/emacs/site-lisp/packages/org/ob-R hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-R
/home/oub/emacs/site-lisp/packages/org/org-mouse hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-mouse
/home/oub/emacs/site-lisp/packages/org/org-macro hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-macro
/home/oub/emacs/site-lisp/packages/org/org-compat hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-compat
/home/oub/emacs/site-lisp/packages/org/ox-man hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-man
/home/oub/emacs/site-lisp/packages/org/ob-haskell hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-haskell
/home/oub/emacs/site-lisp/packages/org/ob-latex hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-latex
/home/oub/emacs/site-lisp/packages/org/ob-fortran hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-fortran
/home/oub/emacs/site-lisp/packages/org/ob-ocaml hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-ocaml
/home/oub/emacs/site-lisp/packages/org/ob-lisp hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-lisp
/home/oub/emacs/site-lisp/packages/org/ob-vala hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-vala
/home/oub/emacs/site-lisp/packages/org/ob-abc hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-abc
/home/oub/emacs/site-lisp/packages/org/org-tempo hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-tempo
/home/oub/emacs/site-lisp/packages/org/ox-icalendar hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-icalendar
/home/oub/emacs/site-lisp/packages/org/ob-ref hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-ref
/home/oub/emacs/site-lisp/packages/org/ol-docview hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-docview
/home/oub/emacs/site-lisp/packages/org/ol-bibtex hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-bibtex
/home/oub/emacs/site-lisp/packages/org/ob-groovy hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-groovy
/home/oub/emacs/site-lisp/packages/org/ol-bbdb hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-bbdb
/home/oub/emacs/site-lisp/packages/org/org-feed hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-feed
/home/oub/emacs/site-lisp/packages/org/ob-perl hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-perl
/home/oub/emacs/site-lisp/packages/org/ob-gnuplot hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-gnuplot
/home/oub/emacs/site-lisp/packages/org/ob-ebnf hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-ebnf
/home/oub/emacs/site-lisp/packages/org/ob-dot hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-dot
/home/oub/emacs/site-lisp/packages/org/org-capture hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-capture
/home/oub/emacs/site-lisp/packages/org/ob-matlab hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-matlab
/home/oub/emacs/site-lisp/packages/org/org-pcomplete hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-pcomplete
/home/oub/emacs/site-lisp/packages/org/ob-octave hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-octave
/home/oub/emacs/site-lisp/packages/org/org-num hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-num
/home/oub/emacs/site-lisp/packages/org/ob-coq hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-coq
/home/oub/emacs/site-lisp/packages/org/ox hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox
/home/oub/emacs/site-lisp/packages/org/ox-odt hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-odt
/home/oub/emacs/site-lisp/packages/org/ob-awk hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-awk
/home/oub/emacs/site-lisp/packages/org/org-lint hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-lint
/home/oub/emacs/site-lisp/packages/org/ob-lua hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-lua
/home/oub/emacs/site-lisp/packages/org/ob-sql hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-sql
/home/oub/emacs/site-lisp/packages/org/ob-scheme hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-scheme
/home/oub/emacs/site-lisp/packages/org/ox-latex hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-latex
/home/oub/emacs/site-lisp/packages/org/org-clock hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-clock
/home/oub/emacs/site-lisp/packages/org/org-entities hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-entities
/home/oub/emacs/site-lisp/packages/org/org-inlinetask hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-inlinetask
/home/oub/emacs/site-lisp/packages/org/org-keys hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-keys
/home/oub/emacs/site-lisp/packages/org/org-habit hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-habit
/home/oub/emacs/site-lisp/packages/org/org-datetree hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-datetree
/home/oub/emacs/site-lisp/packages/org/ob-ditaa hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-ditaa
/home/oub/emacs/site-lisp/packages/org/ob-sqlite hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-sqlite
/home/oub/emacs/site-lisp/packages/org/ob-exp hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-exp
/home/oub/emacs/site-lisp/packages/org/ob-python hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-python
/home/oub/emacs/site-lisp/packages/org/ol-eshell hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-eshell
/home/oub/emacs/site-lisp/packages/org/ob-css hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-css
/home/oub/emacs/site-lisp/packages/org/ob-calc hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-calc
/home/oub/emacs/site-lisp/packages/org/ox-html hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-html
/home/oub/emacs/site-lisp/packages/org/org-attach hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-attach
/home/oub/emacs/site-lisp/packages/org/ox-ascii hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-ascii
/home/oub/emacs/site-lisp/packages/org/org-install hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-install
/home/oub/emacs/site-lisp/packages/org/ol-mhe hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-mhe
/home/oub/emacs/site-lisp/packages/org/org-element hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-element
/home/oub/emacs/site-lisp/packages/org/org-version hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-version
/home/oub/emacs/site-lisp/packages/org/org-id hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-id
/home/oub/emacs/site-lisp/packages/org/org-duration hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-duration
/home/oub/emacs/site-lisp/packages/org/ox-md hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-md
/home/oub/emacs/site-lisp/packages/org/org hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org
/home/oub/emacs/site-lisp/packages/org/org-protocol hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-protocol
/home/oub/emacs/site-lisp/packages/org/org-src hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-src
/home/oub/emacs/site-lisp/packages/org/org-loaddefs hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-loaddefs
/home/oub/emacs/site-lisp/packages/org/ob-tangle hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-tangle
/home/oub/emacs/site-lisp/packages/org/ob-table hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-table
/home/oub/emacs/site-lisp/packages/org/ol-rmail hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-rmail
/home/oub/emacs/site-lisp/packages/org/ob-java hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-java
/home/oub/emacs/site-lisp/packages/org/ol-irc hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-irc
/home/oub/emacs/site-lisp/packages/org/ob-makefile hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-makefile
/home/oub/emacs/site-lisp/packages/org/org-plot hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-plot
/home/oub/emacs/site-lisp/packages/org/ob-J hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-J
/home/oub/emacs/site-lisp/packages/org/ob-clojure hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-clojure
/home/oub/emacs/site-lisp/packages/org/ob hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob
/home/oub/emacs/site-lisp/packages/org/org-timer hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-timer
/home/oub/emacs/site-lisp/packages/org/org-table hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-table
/home/oub/emacs/site-lisp/packages/org/ob-screen hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-screen
/home/oub/emacs/site-lisp/packages/org/ob-asymptote hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-asymptote
/home/oub/emacs/site-lisp/packages/org/ob-eval hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-eval
/home/oub/emacs/site-lisp/packages/org/org-crypt hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-crypt
/home/oub/emacs/site-lisp/packages/org/ol-w3m hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-w3m
/home/oub/emacs/site-lisp/packages/org/ob-js hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-js
/home/oub/emacs/site-lisp/packages/org/org-attach-git hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-attach-git
/home/oub/emacs/site-lisp/packages/org/ob-C hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ob-C
/home/oub/emacs/site-lisp/packages/org/ol-info hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ol-info
/home/oub/emacs/site-lisp/packages/org/ox-beamer hides /opt/emacs28/share/emacs/28.0.50/lisp/org/ox-beamer
/home/oub/emacs/site-lisp/packages/org/org-footnote hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-footnote
/home/oub/emacs/site-lisp/packages/org/org-list hides /opt/emacs28/share/emacs/28.0.50/lisp/org/org-list
/home/oub/emacs/site-lisp/versch/quickurl hides /opt/emacs28/share/emacs/28.0.50/lisp/net/quickurl
/home/oub/emacs/site-lisp/versch/hebrew hides /opt/emacs28/share/emacs/28.0.50/lisp/language/hebrew
/home/oub/emacs/site-lisp/versch/iso-cvt hides /opt/emacs28/share/emacs/28.0.50/lisp/international/iso-cvt
/home/oub/emacs/site-lisp/packages/personal-lisp/lisp hides /opt/emacs28/share/emacs/28.0.50/lisp/emacs-lisp/lisp
/home/oub/emacs/site-lisp/versch/longlines hides /opt/emacs28/share/emacs/28.0.50/lisp/obsolete/longlines

Features:
(shadow emacsbug mule-util smtpmail feedmail bbdb-gui hashcash flyspell
ispell orgalist auto-capitalize footnote gnus-cite smiley shr-color
color mm-archive gnus-async gnus-bcklg qp gnus-ml disp-table gnus-topic
cursor-sensor utf-7 nndraft nnmh nnml gnutls network-stream bbdb-gnus
bbdb-snarf mail-extr nnnil gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg nntp gnus-cache misearch multi-isearch dired-aux
vc-mtn vc-git vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs diff-hl-dired
edebug-x edebug backtrace which-func imenu org-w3m org-rmail org-mhe
org-irc org-info org-gnus org-eww org-docview doc-view jka-compr
image-mode exif ob-R id-manager bibtex_init org-rich-yank langtool
bibliothek goto-addr pdf-info tq a visual-filename-abbrev which-key
outorg_init navi-mode outorg-export outshine outshine-org-cmds outorg
calfw-org calfw fill-column-indicator my-dired dired-tar dired-zip
org-contacts org-annotate-file my-downcase-abbrev under
org-agenda-property check-my-bcc bbdbadapt-sc-leader quail-acc
exec-path-from-shell move-text dired-filetype-face org-edit-latex
preview prv-emacs tex-buf latex latex-flymake flymake-proc flymake
tex-ispell tex-style tex dbus crm column-enforce-mode emoji-display
emojify vigenere my-change-eq-ref org-web-tools eww mm-url
org-protocol-capture-html html2org org-sync-github org-sync-bb org-sync
org-cliplink org-cliplink-transport org-cliplink-string em-glob esh-util
my-indirect edit-indirect ox-gfm el2org thingatpt
org-table-move-single-cell csv-to-xlsx bitbucket bitbucket-issues
bitbucket-http request bitbucket-api hide-region redo+ my-org-ref-html
org-ref-core reftex-cite parsebib org-ref-glossary org-ref-bibtex
org-ref-citeproc key-chord hydra lv doi-utils ol-bibtex matlab-org-init
ob-ipython python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat ls-lisp dash-functional
matlab-org-addon ox-epub ox-clip htmlize ob-C cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs org-bibtex
bibtex goto-chg orgtbl-show-header visual-regexp hide-comnt
path-headerline-mode saveplace indirect radio ffap browse-kill-ring+
browse-kill-ring uimage url-ftp url-file url-dired url-queue image-file
iimage elpakit shadchen latex-unicode-math-mode robin code-library gist
gh-gist gh-oauth gh-api logito gh-cache pcache gh-auth gh-url url-http
url-auth url-gw nsm writegood-mode writeroom-mode visual-fill-column
xemacs-compat weekly-view cal-desk-calendar lunar solar cal-dst
diary-lib diary-loaddefs holidays hol-loaddefs bm diff-hl smartrep
vc-dir ahg vc-annotate grep ewoc log-edit pcvs-util add-log align
bibretrieve time iso-transl iso-acc iso-cvt ref-master my-hg-commit
auto-insert-tkld date addl all iso-cleanupmath hgignore-mode
vc-change-login backup-each-save vc-ensure-checkin my-vc-addons vc
latex-wcount dob-words latexdiff daily-journal gnus-dired matlab-addons
matlab-publish matlab_init srecode/srt-mode semantic/analyze
semantic/sort semantic/scope semantic/analyze/fcn semantic/format
srecode/template srecode/srt-wy semantic/wisent semantic/wisent/wisent
semantic/ctxt srecode/ctxt semantic/tag-ls semantic/find srecode/compile
srecode/dictionary srecode/fields srecode/table srecode/map srecode
semanticdb-matlab semantic/db semantic/util-modes semantic/util semantic
pp semantic/tag semantic/lex semantic/fw mode-local cedet eieio-opt
cl-extra speedbar ezimage dframe cedet-matlab matlab-load cus-edit
cus-start cus-load gdb-mi bindat company-matlab-shell matlab-shell gud
server matlab matlab-compat pulse matlab-boxquote my-sc-addons
gnus-encrypt gnorb-init gnorb gnorb-org gnorb-registry gnorb-gnus
gnorb-utils org-agenda pcase org-capture org-attach org-id nngnorb
org_init ob-perl ob-ruby ob-shell ob-python ob-latex org-tempo tempo
ox-mediawiki ob-rec rec-mode hl-line org-tracktable orgtbl-join orglink
org-auctex-keys ox-beamer ob-octave ob-org org-mime ox-org org-protocol
org-ref-sci-id org-ref-utils org-ref-pdf f better-registers
list-register query-replace-region ediff-addons re-builder extview
ox-pandoc ox-md pandoc-export anti-niqqud sigadapt-simple sigadapt
sendmail bbdbadapt-sc-nested texify-article supercite regi bbdbciteadpt
filladapt next-longline recentf tree-widget moy-bbdb my-addons
org-addons ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util
rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-element avl-tree
generator org-install sp-eng-ger-fr-minor folding-isearch folding
gnus-init bbdbadapt-top-posting my-smiley epa-file boxquote rect
gnus-registry registry eieio-base gnus-art mm-uu mml2015 mm-view
mml-smime smime dig nnir gnus-sum url url-proxy url-privacy url-expand
url-methods url-history mailcap shr url-cookie url-domsuf url-util svg
xml dom gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc parse-time iso8601 gnus-spec gnus-int gnus-range
message rmc puny dired dired-loaddefs rfc822 mml mml-sec epa derived epg
epg-config mm-decode mm-bodies mm-encode gmm-utils mailheader gnus-win
gnus wid-edit nnoo nnheader gnus-util rmail rmail-loaddefs
text-property-search mail-utils bbdb-init vc-dispatcher vc-hg diff-mode
bbdb-expire bbdb-hooks mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr bbdb-com warnings mailabbrev bbdb-autoloads
bbdbadapt-ispell bbdbadapt-gcc bbdbadapt-encrypt my-bbdb-addons bbdb
timezone org-remember org-datetree org-inset-dblock org ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete org-list org-faces org-entities time-date noutline outline
easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table ol
org-keys org-compat org-macs org-loaddefs format-spec find-func cal-menu
calendar cal-loaddefs remember my-toggle-functions extra emacs_keys
csv-mode sort comment my-hebrew-init toggle my-mark quail help-mode
my-latex-env my-auctex-init tex-delete-comment latex-keys tex-addons
item-kill my-fill-latex-sentence advice edmacro kmacro
my-change-prettify-list tex-mode compile shell pcomplete comint
ansi-color ring preview-latex flyspell-abbrev-multilang
iv-sp-am-br-ger-fr-minor arash-bibtex-changelog reftex_init reftex
reftex-loaddefs reftex-vars cdlatex_init finder-inf gh-common gh-profile
rx s marshal eieio-compat ht dash tex-site cl info package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1352112 116172)
 (symbols 48 89984 2)
 (strings 32 706175 40615)
 (string-bytes 1 29240324)
 (vectors 16 98202)
 (vector-slots 8 2357839 253471)
 (floats 8 1078 595)
 (intervals 56 7506 407)
 (buffers 992 58)
 (heap 1024 168841 12087))

--==-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=gnus-encrypt.el
Content-Transfer-Encoding: quoted-printable

;;; gnus-encrypt.el --- s/mime and gpg hacks for encrypting and signing

;; Copyright (C) 2014 Uwe Brauer

;; Author: Uwe Brauer oub@HIDDEN
;; Maintainer: Uwe Brauer oub@HIDDEN
;; Created: 01 Feb 2014
;; Version: 1.0
;; Keywords:

=20
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 1, or (at your option)
;; any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; A copy of the GNU General Public License can be obtained from this
;; program's author (send electronic mail to oub@HIDDEN) or from
;; the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA
;; 02139, USA.

;; LCD Archive Entry:
;; gnus-encrypt|Uwe Brauer|oub@HIDDEN
;; |s/mime and gpg hacks for encrypting and signing
;; |$Date: 2014/12/13 17:52:56 $|$Revision: 1.4 $|~/packages/gnus-encrypt.el

;;; Commentary:

;;; Change log:
;; $Log: gnus-encrypt.el,v $
;; Revision 1.4  2014/12/13 17:52:56  oub
;; (my-leave-the-TAG): 1.3 New function
;; (my-select-encrypt-or-sign-smime): 1.3 add
;; ((eql ch ?5) #'my-leave-the-TAG)
;;
;; Revision 1.3  2014/07/12 16:36:56  oub
;; (message-send-hook): 1.2 change
;; (add-hook 'message-send-hook
;; 'my-gnus-smime-encrypt-and-sign-outgoing-message)
;; for
;; my-select-encrypt-or-sign-smime
;;
;; Revision 1.2  2014/06/29 13:03:13  oub
;; (my-gnus-smime-encrypt-and-sign-outgoing-message): 1.1 change
;; the funcion slightly if you chose not to encrypt, sign!
;;
;; Revision 1.1  2014/02/01 13:57:24  oub
;; Initial revision
;;

;;; Code:

(defconst gnus-encrypt-version (concat "0." (substring "$Revision: 1.4 $" 1=
3 14))
	"$Id: gnus-encrypt.el,v 1.4 2014/12/13 17:52:56 oub Exp $
You have to put this file under some sort of version control. Otherwise,=20
when byte  compiling or just loading it, you will get an error!!


Report bugs to: Uwe Brauer oub@HIDDEN")

;; Hooks


(add-hook 'gnus-message-setup-hook 'my-check-reply-encrypted)
(add-hook 'gnus-message-setup-hook 'my-check-bcc)
;(remove-hook 'gnus-message-setup-hook 'my-check-bcc)
; don't use the setup-hook when you wide reply better in sc hooks!!!
;;(add-hook 'message-setup-hook 'mml-secure-message-sign-smime)
(add-hook 'message-setup-hook 'my-simple-smime-select-signers)

;; remove this for the moment, it is more practical to control it via the b=
bdb entry!
;;(add-hook 'message-send-hook 'my-hook-encrypt-or-sign-smime)

;; setq

(setq message-forward-show-mml 'best)
(epa-file-enable)
(setq epg-debug t)
(setq mm-decrypt-option 'always)
(setq mm-verify-option 'always)
(setq gnus-buttonized-mime-types '("multipart/encrypted" "multipart/signed"=
))


(setq mml-smime-use 'epg)
(setq mml2015-use 'epg)


(setq epg-gpg-home-directory "/home/oub/.gnupg")
(setq epg-key-id "65AD077A")


;;(setq mml2015-signers "0x65AD077A")
;;(setq mml2015-signers (list "0x65AD077A"))
(setq mml2015-signers (list "93B61FDD"))

;;(require 'epa-setup)



;; functions=20

;;(setq gnus-article-reply nil)
;; encrypting functions (smime)

(defun my-encrypt-and-sign-smime ()=20
  "Encrypt and sign smime."
  (interactive)
  (mml-secure-message-encrypt-smime nil))


(defun my-only-encrypt-smime ()=20
  "Only encypt with smime, DONT sign!"
  (interactive)
  (mml-secure-message-encrypt-smime 1))

(defun my-encrypt-and-sign-pgpmime ()=20
  "Encrypt and  sign with pgpmime!"
  (interactive)
  (mml-secure-message-encrypt-pgpmime nil))

(defun my-search-smime ()
"Also include smime signatures."
  (interactive)
  (re-search-forward
;   "^Content-Type.*application/\\(x-\\)?pkcs7-mime\\|^Content-Type: multip=
art/signed;"
;   "^Content-Type: multipart/signed;"
   "^Content-Type.*application/\\(x-\\)?pkcs7-mime\\|protocol=3D\"applicati=
on/pkcs7-signature\""
   nil t))

(defun my-search-pgpmime-tag ()
(interactive)
  (re-search-forward
"^<#secure method=3Dpgpmime mode=3Dsignencrypt>" nil t))

(defun my-check-reply-encrypted ()
  (interactive)
  (cond ((and gnus-article-reply
			  (message-with-reply-buffer
				(re-search-forward
   "^Content-Type.*application/\\(x-\\)?pkcs7-mime\\|protocol=3D\"applicati=
on/pkcs7-signature\""
;				 "^Content-Type.*application/\\(x-\\)?pkcs7-mime"
				 nil t)))
		 (condition-case nil
			 (mml-secure-message-encrypt-smime nil)
		   (error
                    (message "One or more recipients do not have certs"))))=
))

(defun my-check-bcc ()
  "Try to avoid painful situations when using followup, and there is a Bcc =
field."
  (interactive)
  (cond ((and gnus-article-reply
              (message-with-reply-buffer
                (re-search-forward
                 "^Bcc:\\|BCC:\\|bcc:"
                 nil t)))
         (condition-case nil
             (progn
               (message-remove-header "cc")
               (message-goto-body)
               (message "There is a BCC field, we have deleted it!!!"))
           (error
            (progn
                (message "Followup??")))))))

;; code to be checked.
;; (remove-hook 'gnus-message-setup-hook 'my-check-not-to)
(defun my-check-not-to ()
  "Try to avoid painful situations when using followup, and there is a Bcc =
field."
  (interactive)
  (cond ((and gnus-article-reply
              (message-with-reply-buffer
                (re-search-forward
                 "^To:\\|TO:\\|to: Uwe Brauer <oub@HIDDEN>"
                 nil t)))
         (condition-case nil
             (progn
               (message-remove-header "to")
               (message-goto-body)
               (message "You are not on the To field, don't send it"))
           (error
            (progn
                (message "Followup??")))))))

(defun my-hook-encrypt-or-sign-smime ()
  (interactive)
  (call-interactively 'my-select-encrypt-or-sign-smime))


(defun my-leave-the-TAG ()
  (interactive)
  (message "Left the TAG intact, since it is a pgp/(mime) message."))


(defun my-select-encrypt-or-sign-smime (ch)=20
  (interactive "c1: encrypt, 2: encryt+sign, 3: sign 4: NO TAG 5: leave it:=
 pgp/mime")
  (setq ch (downcase ch))
  (call-interactively (cond ((eql ch ?1) #'my-only-encrypt-smime)
                            ((eql ch ?2) #'my-encrypt-and-sign-smime)
                            ((eql ch ?3) #'mml-secure-message-sign-smime)=
=20=20=20=20=20=20=20=20=20
                            ((eql ch ?4) #'my-mml-eliminate-smime-pgp-tag)
                            ((eql ch ?5) #'my-leave-the-TAG)
                            (t (error 'args-out-of-range '(1 2 3 4 5 ch))))=
))

(defun my-mml-eliminate-smime-pgp-tag ()
  (interactive)
  (save-excursion
	(goto-char (point-min))
	(cond ((re-search-forward
			(concat "^" (regexp-quote mail-header-separator) "\n") nil t)
		   (flush-lines "#secure method")))))

(defun my-eliminate-cc ()
  "Simple hack to eliminate CC fields in case you have hit, followup instea=
d of reply."
  (interactive)
  (save-excursion
	(goto-char (point-min))
		   (flush-lines "^cc: \\|^Cc: \\| ^CC:")))

	;         encryt

 ;       encryt+sing






;; small wrapper






(defun my-gnus-gnupgp-sign-outgoing-message ()
  (interactive)
  (if (y-or-n-p (format "Do you want to gpg/pgp SIGN your mail? "  (buffer-=
name)))
	  (mml-secure-message-sign-pgpmime)
	(message "You only SIGNed our mail, but did not crypt it.")
    (progn
      (message "You did not gpg/pgp your mail, you fool!")
      (beep) (sleep-for 1) (beep) (sleep-for 1) (beep))))


(defun my-gnus-smime-sign-outgoing-message ()
  (interactive)
  (if (y-or-n-p (format "Do you want to gnugp SIGN your mail? "  (buffer-na=
me)))
	  (mml-secure-message-sign-smime)
	(message "You only SIGNed our mail, but did not crypt it.")
    (progn
      (message "You did not gnugp your mail, you fool!")
      (beep) (sleep-for 1) (beep) (sleep-for 1) (beep))))

(defun my-gnus-smime-encrypt-and-sign-outgoing-message ()
"Last check before message is sent, do you want to sign and Encrypt, if not=
=20
msg is only signed!!"
  (interactive)
  (if (y-or-n-p (format "Do you want to gpg/smime Encrypt and SIGN your mai=
l? "  (buffer-name)))
	  (my-encrypt-and-sign-smime)
	(message "You EnCRYpted and  SIGNed our mail.")
    (progn
	  (mml-secure-message-sign-smime)
;	  (my-mml-eliminate-smime-pgp-tag)
      (message "You did not gpg/smime your mail, you fool!")
      (beep) (sleep-for 1) (beep) (sleep-for 1) (beep))))

(defvar my-mml-use-pgpmime t
  "*Variable which controls to use pgpmime or pgp ASCII, default is pgpmime=
.")

(defun my-encrypt-only-pgpmime ()
  "Only encypt with pgpmime, DONT sign!"
  (interactive)
  (mml-secure-message-encrypt-pgpmime 1))




(defun my-encrypt-only-pgp ()=20=20
  "Only encypt with pgp ASCII, DONT sign!"
  (interactive)
  (mml-secure-message-encrypt-pgp 1))

(defun my-encrypt-and-sign-pgp ()=20
  "Encrypt and  sign with pgp ASCII!"
  (interactive)
  (mml-secure-message-encrypt-pgp nil))



(defun my-select-encrypt-or-sign-pgpmime-or-pgp (ch)=20
  (interactive "c1: encrypt, 2: encryt+sign, 3: sign 4: NO TAG, 5: insert-k=
ey)")
  (setq ch (downcase ch))
  (when my-mml-use-pgpmime=20
  (call-interactively (cond ((eql ch ?1) #'my-encrypt-only-pgpmime)
                            ((eql ch ?2) #'my-encrypt-and-sign-pgpmime)
                            ((eql ch ?3) #'mml-secure-message-sign-pgpmime)=
=20=20=20=20=20=20=20=20=20
                            ((eql ch ?4) #'my-mml-eliminate-smime-pgp-tag)
                            ((eql ch ?5) #'pgg-insert-key)
                            (t (error 'args-out-of-range '(1 2 3 4 5 ch))))=
))
  (unless my-mml-use-pgpmime=20
  (call-interactively (cond ((eql ch ?1) #'my-encrypt-only-pgp)
                            ((eql ch ?2) #'my-encrypt-and-sign-pgp)	;no
                            ((eql ch ?3) #'mml-secure-message-sign-pgp)	;on=
ly signg
                            ((eql ch ?4) #'my-mml-eliminate-smime-pgp-tag)
                            ((eql ch ?5) #'pgg-insert-key)
                            (t (error 'args-out-of-range '(1 2 3 4 5 ch))))=
)))


(defun my-simple-smime-select-signers ()
  (interactive)
  (setq mml-smime-signers nil)
  (setq mml-smime-signers (list user-mail-address)))


(provide 'gnus-encrypt)

;;; GNUS-ENCRYPT.EL ends here

--==-=-=--




Acknowledgement sent to Uwe Brauer <oub@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41659; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Jun 2020 16:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.